/** Angular 2 dependencies **/
import { NgModule, enableProdMode, ModuleWithProviders, ErrorHandler }  from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule }    from '@angular/forms';
import { Http, Response, Headers, HttpModule} from '@angular/http';
import { Routes, RouterModule } from '@angular/router';
import {LocationStrategy, HashLocationStrategy} from '@angular/common';

/** Layout components **/
import { AppComponent }   from './app.component';
import { NavbarComponent} from './navbar.component';
import { ToolbarComponent} from './toolbar.component';
import { FooterComponent } from './footer.component';
import { SourceTabComponent} from './sourcetab.component';

/** Essential Studio for JavaScript components **/
import {EJ_TAB_COMPONENTS} from './ej/tab.component';
import {EJ_ACCORDION_COMPONENTS} from './ej/accordion.component';
import {EJ_AUTOCOMPLETE_COMPONENTS} from './ej/autocomplete.component';
import {EJ_BARCODE_COMPONENTS} from './ej/barcode.component'; 
import {EJ_CHART_COMPONENTS} from './ej/chart.component';
import {EJ_CHECKBOX_COMPONENTS} from './ej/checkbox.component';
import {EJ_RADIOBUTTON_COMPONENTS} from './ej/radiobutton.component';
import {EJ_TOGGLEBUTTON_COMPONENTS} from './ej/togglebutton.component';
import {EJ_BUTTON_COMPONENTS} from './ej/button.component';
import {EJ_CIRCULARGAUGE_COMPONENTS} from './ej/circulargauge.component';
import {EJ_BULLETGRAPH_COMPONENTS} from './ej/bulletgraph.component';
import {EJ_COLORPICKER_COMPONENTS} from './ej/colorpicker.component';
import {EJ_CURRENCYTEXTBOX_COMPONENTS} from './ej/currencytextbox.component';
import {EJ_DATEPICKER_COMPONENTS} from './ej/datepicker.component';
import {EJ_DATETIMEPICKER_COMPONENTS} from './ej/datetimepicker.component';
import {EJ_DIALOG_COMPONENTS} from './ej/dialog.component';
import {EJ_DROPDOWNLIST_COMPONENTS} from './ej/dropdownlist.component';
import {EJ_DIAGRAM_COMPONENTS} from './ej/diagram.component';
import {EJ_FILEEXPLORER_COMPONENTS} from './ej/fileexplorer.component';
import {EJ_GANTT_COMPONENTS} from './ej/gantt.component';
import {EJ_HEATMAP_COMPONENTS} from './ej/heatmap.component';
import {EJ_HEATMAPLEGEND_COMPONENTS} from './ej/heatmaplegend.component';
import {EJ_LINEARGAUGE_COMPONENTS} from './ej/lineargauge.component';
import {EJ_LISTBOX_COMPONENTS} from './ej/listbox.component';
import {EJ_GRID_COMPONENTS} from './ej/grid.component';
import {EJ_MASKEDIT_COMPONENTS} from './ej/maskedit.component';
import {EJ_MENU_COMPONENTS} from './ej/menu.component';
import {EJ_NUMERICTEXTBOX_COMPONENTS} from './ej/numerictextbox.component';
import {EJ_PERCENTAGETEXTBOX_COMPONENTS} from './ej/percentagetextbox.component';
import {EJ_PROGRESSBAR_COMPONENTS} from './ej/progressbar.component';
import {EJ_SLIDER_COMPONENTS} from './ej/slider.component';
import {EJ_LISTVIEW_COMPONENTS} from './ej/listview.component';
import {EJ_MAP_COMPONENTS} from './ej/map.component';
import {EJ_NAVIGATIONDRAWER_COMPONENTS} from './ej/navigationdrawer.component';
import {EJ_PDFVIEWER_COMPONENTS} from './ej/pdfviewer.component';
import {EJ_PIVOTCHART_COMPONENTS} from './ej/pivotchart.component';
import {EJ_PIVOTGAUGE_COMPONENTS} from './ej/pivotgauge.component';
import {EJ_PIVOTGRID_COMPONENTS} from './ej/pivotgrid.component';
import {EJ_PIVOTTREEMAP_COMPONENTS} from './ej/pivottreemap.component';
import {EJ_RADIALMENU_COMPONENTS} from './ej/radialmenu.component';
import {EJ_RTE_COMPONENTS} from './ej/rte.component';
import {EJ_RADIALSLIDER_COMPONENTS} from './ej/radialslider.component';
import {EJ_RANGENAVIGATOR_COMPONENTS} from './ej/rangenavigator.component';
import {EJ_RATING_COMPONENTS} from './ej/rating.component';
import {EJ_REPORTVIEWER_COMPONENTS} from './ej/reportviewer.component';
import {EJ_RIBBON_COMPONENTS} from './ej/ribbon.component';
import {EJ_ROTATOR_COMPONENTS} from './ej/rotator.component';
import {EJ_SCHEDULE_COMPONENTS} from './ej/schedule.component';
import {EJ_SCROLLER_COMPONENTS} from './ej/scroller.component';
import {EJ_SPARKLINE_COMPONENTS} from './ej/sparkline.component';
import {EJ_SPLITTER_COMPONENTS} from './ej/splitter.component';
import {EJ_SPREADSHEET_COMPONENTS} from './ej/spreadsheet.component';
import {EJ_TAGCLOUD_COMPONENTS} from './ej/tagcloud.component';
import {EJ_TILE_COMPONENTS} from './ej/tile.component';
import {EJ_TOOLBAR_COMPONENTS} from './ej/toolbar.component';
import {EJ_TOOLTIP_COMPONENTS} from './ej/tooltip.component';
import {EJ_TIMEPICKER_COMPONENTS} from './ej/timepicker.component';
import {EJ_TREEMAP_COMPONENTS} from './ej/treemap.component';
import {EJ_TREEGRID_COMPONENTS} from './ej/treegrid.component';
import {EJ_TREEVIEW_COMPONENTS} from './ej/treeview.component';
import {EJ_UPLOADBOX_COMPONENTS} from './ej/uploadbox.component';
import {EJ_KANBAN_COMPONENTS} from './ej/kanban.component';

/** Sample browser components **/

import {AccordionComponent} from './components/accordion/accordion.component';
import {AutocompleteComponent} from './components/autocomplete/autocomplete.component';
import {BarcodeComponent} from './components/barcode/barcode.component';
import {BulletGraphComponent} from './components/bulletgraph/bulletgraph.component'; 
import {ChartComponent} from './components/chart/chart.component';
import {ButtonsComponent} from './components/buttons/buttons.component';
import {CircularGaugeComponent} from './components/circulargauge/circulargauge.component'; 
import {ColorpickerComponent} from './components/colorpicker/colorpicker.component';
import {CurrencyTextboxComponent} from './components/currencytextbox/currency-textbox.component';
import {DatePickerComponent} from './components/datepicker/datepicker.component';
import {DateTimePickerComponent} from './components/datetimepicker/datetimepicker.component';
import {DialogComponent} from './components/dialog/dialog.component';
import {DropDownListComponent} from './components/dropdown/dropdown.component';
import {DiagramComponent} from './components/diagram/diagram.component';
import {FileExplorerComponent} from './components/fileexplorer/fileexplorer.component';
import {GanttComponent} from './components/gantt/gantt.component';
import {HeatMapComponent} from './components/heatmap/heatmap.component';
import {LinearGaugeComponent} from './components/lineargauge/lineargauge.component';
import {ListBoxComponent} from './components/listbox/listbox.component';
import {GridComponent} from './components/grid/grid.component';
import {MaskEditComponent} from './components/maskedit/maskedit.component';
import {MenuComponent} from './components/menu/menu.component';
import {NumericTextBoxComponent} from './components/numerictextbox/numerictextbox.component';
import {PercentageTextBoxComponent} from './components/percentagetextbox/percentagetextbox.component';
import {ProgressBarComponent} from './components/progressbar/progressbar.component';
import {SliderComponent} from './components/slider/slider.component';
import {ListViewComponent} from './components/listview/listview.component';
import {MapComponent} from './components/map/map.component';
import {NavigationDrawerComponent} from './components/navigationdrawer/navigationdrawer.component';
import {OlapComponent} from './components/olap/olap.component';
import {OlapChartComponent} from './components/olapchart/olapchart.component';
import {OlapGaugeComponent} from './components/olapgauge/olapgauge.component';
import {PdfViewerComponent} from './components/pdfviewer/pdfviewer.component';
import {PivotGridComponent} from './components/pivotgrid/pivotgrid.component';
import {PivotChartComponent} from './components/pivotchart/pivotchart.component';
import {PivotGaugeComponent} from './components/pivotgauge/pivotgauge.component';
import {PivotTreeMapComponent} from './components/pivottreemap/pivottreemap.component';
import {RadialMenuComponent} from './components/radialmenu/radialmenu.component';
import {RTEComponent} from './components/rte/rte.component';
import {RadialSliderComponent} from './components/radialslider/radialslider.component';
import {RangeNavigatorComponent} from './components/rangenavigator/rangenavigator.component';
import {RatingComponent} from './components/rating/rating.component'
import {ReportViewerComponent} from './components/reportviewer/reportviewer.component';
import {RibbonComponent} from './components/ribbon/ribbon.component';
import {RotatorComponent} from './components/rotator/rotator.component';
import {ScheduleComponent} from './components/schedule/schedule.component';
import {ScrollerComponent} from './components/scroller/scroller.component';
import {SparklineComponent} from './components/sparkline/sparkline.component';
import {SplitterComponent} from './components/splitter/splitter.component';
import {SpreadSheetComponent} from './components/spreadsheet/spreadsheet.component';
import {TabComponent} from './components/tab/tab.component';
import {TagCloudComponent} from './components/tagcloud/tagcloud.component';
import {TileViewComponent} from './components/tile/tile.component';
import {ToolBarComponent} from './components/toolbar/toolbar.component';
import {ToolTipComponent} from './components/tooltip/tooltip.component';
import {TimePickerComponent} from './components/timepicker/timepicker.component';
import {TreeMapComponent} from './components/treemap/treemap.component';
import {TreeViewComponent} from './components/treeview/treeview.component';
import {UploadBoxComponent} from './components/uploadbox/uploadbox.component';
import {TreeGridComponent} from './components/treegrid/treegrid.component';
import {KanbanComponent} from './components/kanban/kanban.component';

import {NorthwindService} from './services/northwind.service';

/** Routing configuration **/
export const appRoutes: Routes = [  
    { path: 'accordion', component: AccordionComponent, data: { location : "app/components/accordion/accordion.component",name:"Accordion" } },
    { path: 'autocomplete', component: AutocompleteComponent, data: { location: 'app/components/autocomplete/autocomplete.component',name:"Autocomplete"} },
    { path: 'barcode', component: BarcodeComponent, data: {location: 'app/components/barcode/barcode.component',name:"Barcode"} },   
    { path: 'bulletgraph', component: BulletGraphComponent, data: {location: 'app/components/bulletgraph/bulletgraph.component',name:"BulletGraph"} },
    { path: 'chart', component: ChartComponent, data: {location: 'app/components/chart/chart.component', name:"Chart"} },
    { path: 'buttons', component: ButtonsComponent, data: {location: 'app/components/buttons/buttons.component', name:"Buttons"} },
    { path: 'circulargauge', component: CircularGaugeComponent, data: {location: 'app/components/circulargauge/circulargauge.component',name:"CircularGauge"} },    
    { path: 'colorpicker', component: ColorpickerComponent, data: {location: 'app/components/colorpicker/colorpicker.component', name:"ColorPicker"} },
    { path: 'currencytextbox', component: CurrencyTextboxComponent, data: {location: 'app/components/currencytextbox/currency-textbox.component', name:"CurrencyTextbox"} },
    { path: 'datepicker', component: DatePickerComponent, data: {location: 'app/components/datepicker/datepicker.component', name:"DatePicker"} },
    { path: 'datetimepicker', component: DateTimePickerComponent, data: {location: 'app/components/datetimepicker/datetimepicker.component', name:"DateTimePicker"} },
     { path: 'dialog', component: DialogComponent, data: {location: 'app/components/dialog/dialog.component', name:"Dialog"} },
    { path: 'dropdownlist', component: DropDownListComponent, data: {location: 'app/components/dropdown/dropdown.component', name:"DropDownList"} },     
    { path: 'diagram', component: DiagramComponent, data: { location: 'app/components/diagram/diagram.component', name: "Diagram" } },
    { path: 'fileexplorer', component: FileExplorerComponent, data: { location: 'app/components/fileexplorer/fileexplorer.component', name: "FileExplorer" } },
    { path: 'gantt', component: GanttComponent, data: { location: 'app/components/gantt/gantt.component', name: "Gantt" } },
    { path: 'heatmap', component: HeatMapComponent, data: { location: 'app/components/heatmap/heatmap.component', name: "HeatMap" } },
    { path: 'lineargauge', component: LinearGaugeComponent, data: { location: 'app/components/lineargauge/lineargauge.component', name: "LinearGauge" } },
    { path: 'listbox', component: ListBoxComponent, data: { location: 'app/components/listbox/listbox.component', name: "ListBox" } },
    { path: 'grid', component: GridComponent, data: { location: 'app/components/grid/grid.component', name: "Grid" } },
    { path: 'menu', component: MenuComponent, data: { location: 'app/components/menu/menu.component', name: "Menu" } },
    { path: 'maskedit', component: MaskEditComponent, data: { location: 'app/components/maskedit/maskedit.component', name: "MaskEdit" } },
    { path: 'numerictextbox', component: NumericTextBoxComponent, data: { location: 'app/components/numerictextbox/numerictextbox.component', name: "NumericTextBox" } },
    { path: 'percentagetextbox', component: PercentageTextBoxComponent, data: { location: 'app/components/percentagetextbox/percentagetextbox.component', name: "PercentageTextBox" } },
    { path: 'progressbar', component: ProgressBarComponent, data: { location: 'app/components/progressbar/progressbar.component', name: "ProgressBar" } },
    { path: 'slider', component: SliderComponent, data: { location: 'app/components/slider/slider.component', name: "Slider" } },
    { path: 'listview', component: ListViewComponent, data: { location: 'app/components/listview/listview.component', name: "ListView" } },
    { path: 'map', component: MapComponent, data: { location: 'app/components/map/map.component', name: "Map" } },
    { path: 'navigationdrawer', component: NavigationDrawerComponent, data: { location: 'app/components/navigationdrawer/navigationdrawer.component', name: "NavigationDrawer" } },
    { path: 'olap', component: OlapComponent, data: { location: 'app/components/olap/olap.component', name: "PivotGrid(OLAP)" } },
    { path: 'olapchart', component: OlapChartComponent, data: { location: 'app/components/olapchart/olapchart.component', name: "PivotChart(OLAP)" } },
    { path: 'olapgauge', component: OlapGaugeComponent, data: { location: 'app/components/olapgauge/olapgauge.component', name: "PivotGauge(OLAP)" } },
    { path: 'pdfviewer', component: PdfViewerComponent, data: { location: 'app/components/pdfviewer/pdfviewer.component', name: "PdfViewer" } },
    { path: 'pivotchart', component: PivotChartComponent, data: { location: 'app/components/pivotchart/pivotchart.component', name: "PivotChart(Relational)" } },
    { path: 'pivotgauge', component: PivotGaugeComponent, data: { location: 'app/components/pivotgauge/pivotgauge.component', name: "PivotGauge(Relational)" } },
    { path: 'pivotgrid', component: PivotGridComponent, data: { location: 'app/components/pivotgrid/pivotgrid.component', name: "PivotGrid(Relational)" } },
    { path: 'pivottreemap', component: PivotTreeMapComponent, data: { location: 'app/components/pivottreemap/pivottreemap.component', name: "PivotTreeMap" } },
    { path: 'radialmenu', component: RadialMenuComponent, data: { location: 'app/components/radialmenu/radialmenu.component', name: "RadialMenu" } },
    { path: 'radialslider', component: RadialSliderComponent, data: { location: 'app/components/radialslider/radialslider.component', name: "RadialSlider" } },
    { path: 'rangenavigator', component: RangeNavigatorComponent, data: { location: 'app/components/rangenavigator/rangenavigator.component', name: "RangeNavigator" } },
    { path: 'rating', component: RatingComponent, data: { location: 'app/components/rating/rating.component', name: "Rating" } },
    { path: 'reportviewer', component: ReportViewerComponent, data: { location: 'app/components/reportviewer/reportviewer.component', name: "ReportViewer" } },
    { path: 'ribbon', component: RibbonComponent, data: { location: 'app/components/ribbon/ribbon.component', name: "Ribbon" } },
    { path: 'rotator', component: RotatorComponent, data: { location: 'app/components/rotator/rotator.component', name: "Rotator" } },
    { path: 'schedule', component: ScheduleComponent, data: { location: 'app/components/schedule/schedule.component', name: "Schedule" } },
    { path: 'scroller', component: ScrollerComponent, data: { location: 'app/components/scroller/scroller.component', name: "Scroller" } },
    { path: 'sparkline', component: SparklineComponent, data: { location: 'app/components/sparkline/sparkline.component', name: "Sparkline" } },
    { path: 'splitter', component: SplitterComponent, data: { location: 'app/components/splitter/splitter.component', name: "Splitter" } },
    { path: 'spreadsheet', component: SpreadSheetComponent, data: { location: 'app/components/spreadsheet/spreadsheet.component', name: "SpreadSheet" } },
    { path: 'tab', component: TabComponent, data: { location: 'app/components/tab/tab.component', name: "Tab" } },
    { path: 'tagcloud', component: TagCloudComponent, data: { location: 'app/components/tagcloud/tagcloud.component', name: "TagCloud" } },
    { path: 'tile', component: TileViewComponent, data: { location: 'app/components/tile/tile.component', name: "Tile" } },
    { path: 'toolbar', component: ToolBarComponent, data: { location: 'app/components/toolbar/toolbar.component', name: "Toolbar" } },
    { path: 'tooltip', component: ToolTipComponent, data: { location: 'app/components/tooltip/tooltip.component', name: "Tooltip" } },
    { path: 'timepicker', component: TimePickerComponent, data: { location: 'app/components/timepicker/timepicker.component', name: "TimePicker" } },
    { path: 'treemap', component: TreeMapComponent, data: { location: 'app/components/treemap/treemap.component', name: "TreeMap" } },
    { path: 'treeview', component: TreeViewComponent, data: { location: 'app/components/treeview/treeview.component', name: "TreeView" } },
    { path: 'uploadbox', component: UploadBoxComponent, data: {location: 'app/components/uploadbox/uploadbox.component', name:"UploadBox"} },
    { path: 'treegrid', component: TreeGridComponent, data: {location: 'app/components/treegrid/treegrid.component', name:"TreeGrid"} },
    { path: 'kanban', component: KanbanComponent, data: {location: 'app/components/kanban/kanban.component', name:"Kanban Board"} },    
    { path: '', component: AccordionComponent, data: { location : "app/components/accordion/accordion.component" ,name:"Accordion"} }
];

export const appRoutingProviders: any[] = [
];
export const routing: ModuleWithProviders = RouterModule.forRoot(appRoutes);

/** AppModule configuration **/


/** Exception handler **/

enableProdMode(); 
 
class CustomErrorHandler implements ErrorHandler {
  call(error, stackTrace = null, reason = null) {
    console.log(error + "\n" + stackTrace);
  }
  handleError(error: any) : void {
      console.log(error);
  }
}
/** End Exception handler **/

@NgModule({
    imports: [BrowserModule, FormsModule, routing, HttpModule],
    declarations: [AppComponent, ToolbarComponent, NavbarComponent, FooterComponent, SourceTabComponent,
        EJ_TAB_COMPONENTS, EJ_ACCORDION_COMPONENTS, EJ_AUTOCOMPLETE_COMPONENTS, EJ_BARCODE_COMPONENTS, EJ_CHART_COMPONENTS,
        EJ_CHECKBOX_COMPONENTS, EJ_RADIOBUTTON_COMPONENTS, EJ_TOGGLEBUTTON_COMPONENTS, EJ_BUTTON_COMPONENTS,
        EJ_CIRCULARGAUGE_COMPONENTS, EJ_BULLETGRAPH_COMPONENTS, EJ_COLORPICKER_COMPONENTS, EJ_CURRENCYTEXTBOX_COMPONENTS,
        EJ_DATEPICKER_COMPONENTS, EJ_DATETIMEPICKER_COMPONENTS,EJ_DIALOG_COMPONENTS, EJ_DROPDOWNLIST_COMPONENTS,        
        EJ_LISTBOX_COMPONENTS,EJ_LINEARGAUGE_COMPONENTS,
        EJ_GANTT_COMPONENTS,EJ_FILEEXPLORER_COMPONENTS,EJ_HEATMAPLEGEND_COMPONENTS,EJ_HEATMAP_COMPONENTS,EJ_DIAGRAM_COMPONENTS,
        EJ_GRID_COMPONENTS,EJ_MENU_COMPONENTS,EJ_MASKEDIT_COMPONENTS,EJ_NUMERICTEXTBOX_COMPONENTS,EJ_PERCENTAGETEXTBOX_COMPONENTS,EJ_PROGRESSBAR_COMPONENTS,
        EJ_SLIDER_COMPONENTS, EJ_LISTVIEW_COMPONENTS,EJ_MAP_COMPONENTS,EJ_NAVIGATIONDRAWER_COMPONENTS,
        EJ_PIVOTCHART_COMPONENTS,EJ_PIVOTGAUGE_COMPONENTS,EJ_PIVOTGRID_COMPONENTS,EJ_PDFVIEWER_COMPONENTS,
        EJ_PIVOTTREEMAP_COMPONENTS,EJ_RANGENAVIGATOR_COMPONENTS,EJ_RTE_COMPONENTS,EJ_RADIALMENU_COMPONENTS,EJ_RADIALSLIDER_COMPONENTS,EJ_RATING_COMPONENTS,
        EJ_REPORTVIEWER_COMPONENTS,EJ_RIBBON_COMPONENTS,EJ_ROTATOR_COMPONENTS,EJ_SCHEDULE_COMPONENTS,EJ_SCROLLER_COMPONENTS,
        EJ_SPARKLINE_COMPONENTS,EJ_SPLITTER_COMPONENTS,EJ_SPREADSHEET_COMPONENTS,EJ_TAB_COMPONENTS,EJ_TAGCLOUD_COMPONENTS,
        EJ_TILE_COMPONENTS,EJ_TOOLBAR_COMPONENTS,EJ_TOOLTIP_COMPONENTS,EJ_KANBAN_COMPONENTS,
        EJ_TIMEPICKER_COMPONENTS,EJ_TREEMAP_COMPONENTS,EJ_TREEVIEW_COMPONENTS,EJ_UPLOADBOX_COMPONENTS,EJ_TREEGRID_COMPONENTS,        
        AccordionComponent, AutocompleteComponent, BarcodeComponent, ChartComponent, ButtonsComponent, CircularGaugeComponent,
        BulletGraphComponent, ColorpickerComponent, CurrencyTextboxComponent, DatePickerComponent, DateTimePickerComponent,
        DialogComponent, DropDownListComponent,        
        DiagramComponent,GanttComponent,FileExplorerComponent,HeatMapComponent,
        GridComponent,MenuComponent,MaskEditComponent,NumericTextBoxComponent,PercentageTextBoxComponent,
        ProgressBarComponent,SliderComponent,LinearGaugeComponent,ListBoxComponent,        
        ListViewComponent,MapComponent,NavigationDrawerComponent,OlapChartComponent,OlapComponent,
        OlapGaugeComponent,PdfViewerComponent,PivotChartComponent,PivotGaugeComponent,PivotGridComponent,
        PivotTreeMapComponent,RadialMenuComponent,RTEComponent,RadialSliderComponent,RangeNavigatorComponent,RatingComponent,
        ReportViewerComponent,RotatorComponent,RibbonComponent,ScheduleComponent,ScrollerComponent,
        SparklineComponent,SplitterComponent,SpreadSheetComponent,TabComponent,TagCloudComponent,
        TileViewComponent,ToolBarComponent,ToolTipComponent,TreeGridComponent,KanbanComponent,
        TimePickerComponent,TreeMapComponent,TreeViewComponent,UploadBoxComponent        
    ],
    providers: [
        appRoutingProviders, NorthwindService, [{provide: ErrorHandler, useClass: CustomErrorHandler}, {provide: LocationStrategy, useClass: HashLocationStrategy}]
    ],
    bootstrap: [AppComponent]
})
export class AppModule { }