import {Component} from '@angular/core';
import {NorthwindService} from '../../services/northwind.service';

@Component({
  selector: 'sd-home',
  templateUrl: 'app/components/radialmenu/radialmenu.component.html',
  providers: [NorthwindService]
})
export class RadialMenuComponent {
     content:string;
  constructor() {
      this.content="Model–view–controller (MVC) is a software architecture pattern which separates the representation of information from the user's interaction with it. The model consists of application data, business rules, logic, and functions. A view can be any output representation of data, such as a chart or a diagram. Multiple views of the same data are possible, such as a bar chart for management and a tabular view for accountants. The controller mediates input, converting it to commands for the model or view.The central ideas behind MVC are code reusability and in addition to dividing the application into three kinds of components, the MVC design defines the interactions between them.A controller can send commands to its associated view to change the view's presentation of the model (e.g., by scrolling through a document). It can also send commands to the model to update the model's state (e.g., editing a document).A model notifies its associated views and controllers when there has been a change in its state. This notification allows the views to produce updated output, and the controllers to change the available set of commands. A passive implementation of MVC omits these notifications, because the application does not require them or the software platform does not support them.A view requests from the model the information that it needs to generate an output representation to the user.";
      
      }
      onSelect(event){
         var target = $("#radialtarget1"), radialRadius = 150, radialDiameter = 2 * radialRadius,
                // To get Iframe positions
               iframeY = target.offset().top + event.event.clientY, iframeX = target.offset().left + event.event.clientX,
                // To set Radial Menu position within target
               x = iframeX > target.width() - radialRadius ? target.width() - radialDiameter : (iframeX > radialRadius ? iframeX - radialRadius : 0),
               y = (iframeY > target.height() - radialRadius ? target.height() - radialDiameter : (iframeY > radialRadius ? iframeY - radialRadius : 0))+radialRadius;
            $('#defaultradialmenu').ejRadialMenu("setPosition", x, y);
      }
      onChange(event){
        $('#defaultradialmenu').ejRadialMenu("enableItem", "Undo");
      }
      onItemClick(e){
         var rteObj = $("#rteSample1").data("ejRTE");
         var itemName=(ej.isNullOrUndefined(e.text))?"none":e.text.toLowerCase();
         switch(itemName){
         case "bold":
            rteObj.executeCommand("bold");
            break;
         case "italic":
            rteObj.executeCommand("italic");
            break;
         case "undo":
            rteObj.executeCommand("undo");
            break;
         case "redo":
            rteObj.executeCommand("redo");
            break;
         }
      }
  }
 