System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var PointerDirective, PointersDirective, LabelDirective, LabelsDirective, TickDirective, TicksDirective, RangeDirective, RangesDirective, StateRangeDirective, StateRangesDirective, IndicatorDirective, IndicatorsDirective, SubGaugeDirective, SubGaugesDirective, ScaleDirective, ScalesDirective, Outputs, ComplexProperties, Inputs, CircularGaugeComponent, EJ_CIRCULARGAUGE_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("PointerDirective", PointerDirective = core_1.CreateComplexDirective({
                selector: "e-pointers>e-pointer",
                inputs: ["backgroundColor", "backNeedleLength", "border", "distanceFromScale", "gradients", "imageUrl", "length", "markerType", "needleType", "opacity", "placement", "pointerValueText", "showBackNeedle", "type", "value", "width"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return CircularGaugeComponent; })
            }));
            exports_1("PointersDirective", PointersDirective = core_1.CreateArrayTagDirective("pointers", 'e-scales>e-pointers', PointerDirective));
            exports_1("LabelDirective", LabelDirective = core_1.CreateComplexDirective({
                selector: "e-labels>e-label",
                inputs: ["angle", "autoAngle", "color", "distanceFromScale", "font", "includeFirstValue", "opacity", "placement", "type", "unitText", "unitTextPosition"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return CircularGaugeComponent; })
            }));
            exports_1("LabelsDirective", LabelsDirective = core_1.CreateArrayTagDirective("labels", 'e-scales>e-labels', LabelDirective));
            exports_1("TickDirective", TickDirective = core_1.CreateComplexDirective({
                selector: "e-ticks>e-tick",
                inputs: ["angle", "color", "distanceFromScale", "height", "placement", "type", "width"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return CircularGaugeComponent; })
            }));
            exports_1("TicksDirective", TicksDirective = core_1.CreateArrayTagDirective("ticks", 'e-scales>e-ticks', TickDirective));
            exports_1("RangeDirective", RangeDirective = core_1.CreateComplexDirective({
                selector: "e-ranges>e-range",
                inputs: ["backgroundColor", "border", "distanceFromScale", "endValue", "endWidth", "gradients", "opacity", "placement", "size", "startValue", "startWidth"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return CircularGaugeComponent; })
            }));
            exports_1("RangesDirective", RangesDirective = core_1.CreateArrayTagDirective("ranges", 'e-scales>e-ranges', RangeDirective));
            exports_1("StateRangeDirective", StateRangeDirective = core_1.CreateComplexDirective({
                selector: "e-stateranges>e-staterange",
                inputs: ["backgroundColor", "borderColor", "endValue", "font", "startValue", "text", "textColor"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return CircularGaugeComponent; })
            }));
            exports_1("StateRangesDirective", StateRangesDirective = core_1.CreateArrayTagDirective("stateRanges", 'e-indicators>e-stateranges', StateRangeDirective));
            exports_1("IndicatorDirective", IndicatorDirective = core_1.CreateComplexDirective({
                selector: "e-indicators>e-indicator",
                inputs: ["height", "imageUrl", "position", "stateRanges", "type", "width"],
                queries: {
                    _stateRanges: new core_1.ContentChild(StateRangesDirective),
                }
            }, {
                tags: ["stateRanges"],
                type: core_1.forwardRef(function () { return CircularGaugeComponent; })
            }));
            exports_1("IndicatorsDirective", IndicatorsDirective = core_1.CreateArrayTagDirective("indicators", 'e-scales>e-indicators', IndicatorDirective));
            exports_1("SubGaugeDirective", SubGaugeDirective = core_1.CreateComplexDirective({
                selector: "e-subgauges>e-subgauge",
                inputs: ["height", "position", "width"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return CircularGaugeComponent; })
            }));
            exports_1("SubGaugesDirective", SubGaugesDirective = core_1.CreateArrayTagDirective("subGauges", 'e-scales>e-subgauges', SubGaugeDirective));
            exports_1("ScaleDirective", ScaleDirective = core_1.CreateComplexDirective({
                selector: "e-scales>e-scale",
                inputs: ["backgroundColor", "border", "direction", "customLabels", "indicators", "labels", "majorIntervalValue", "maximum", "minimum", "minorIntervalValue", "opacity", "pointerCap", "pointers", "radius", "ranges", "shadowOffset", "showIndicators", "showLabels", "showPointers", "showRanges", "showScaleBar", "showTicks", "size", "startAngle", "subGauges", "sweepAngle", "ticks"],
                queries: {
                    _pointers: new core_1.ContentChild(PointersDirective),
                    _labels: new core_1.ContentChild(LabelsDirective),
                    _ticks: new core_1.ContentChild(TicksDirective),
                    _ranges: new core_1.ContentChild(RangesDirective),
                    _indicators: new core_1.ContentChild(IndicatorsDirective),
                    _subGauges: new core_1.ContentChild(SubGaugesDirective),
                }
            }, {
                tags: ["pointers", "labels", "ticks", "ranges", "indicators", "subGauges"],
                type: core_1.forwardRef(function () { return CircularGaugeComponent; })
            }));
            exports_1("ScalesDirective", ScalesDirective = core_1.CreateArrayTagDirective("scales", 'ej-circulargauge>e-scales', ScaleDirective));
            Outputs = ["drawCustomLabel", "drawIndicators", "drawLabels", "drawPointerCap", "drawPointers", "drawRange", "drawTicks", "load", "mouseClick", "mouseClickMove", "mouseClickUp", "renderComplete", "model.valueChange: valueChange", "model.minimumChange: minimumChange", "model.maximumChange: maximumChange"];
            ComplexProperties = ["frame", "scales", "tooltip", "scales.border", "scales.pointerCap"];
            Inputs = core_1.Utils.AngularizeInputs(["animationSpeed", "backgroundColor", "distanceFromCorner", "enableAnimation", "frame", "gaugePosition", "height", "interiorGradient", "isRadialGradient", "isResponsive", "outerCustomLabelPosition", "radius", "readOnly", "scales", "theme", "tooltip", "width", "frame.backgroundImageUrl", "frame.frameType", "frame.halfCircleFrameEndAngle", "frame.halfCircleFrameStartAngle", "scales.backgroundColor", "scales.border", "scales.border.color", "scales.border.width", "scales.direction", "scales.majorIntervalValue", "scales.maximum", "scales.minimum", "scales.minorIntervalValue", "scales.opacity", "scales.pointerCap", "scales.pointerCap.backgroundColor", "scales.pointerCap.borderColor", "scales.pointerCap.borderWidth", "scales.pointerCap.interiorGradient", "scales.pointerCap.radius", "scales.radius", "scales.shadowOffset", "scales.showIndicators", "scales.showLabels", "scales.showPointers", "scales.showRanges", "scales.showScaleBar", "scales.showTicks", "scales.size", "scales.startAngle", "scales.sweepAngle", "tooltip.showCustomLabelTooltip", "tooltip.showLabelTooltip", "tooltip.templateID", "scales.customLabels", "scales.indicators", "scales.labels", "scales.pointers", "scales.ranges", "scales.subGauges", "scales.ticks"], ["value", "minimum", "maximum"]);
            exports_1("CircularGaugeComponent", CircularGaugeComponent = core_1.CreateComponent("CircularGauge", {
                selector: 'ej-circulargauge',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _scales: new core_1.ContentChild(ScalesDirective),
                }
            }, {
                tags: ["scales"],
                twoways: ["value", "minimum", "maximum"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_CIRCULARGAUGE_COMPONENTS", EJ_CIRCULARGAUGE_COMPONENTS = [CircularGaugeComponent, PointersDirective, LabelsDirective, TicksDirective, RangesDirective, StateRangesDirective, IndicatorsDirective, SubGaugesDirective, ScalesDirective, PointerDirective, LabelDirective, TickDirective, RangeDirective, StateRangeDirective, IndicatorDirective, SubGaugeDirective, ScaleDirective]);
        }
    }
});
//# sourceMappingURL=circulargauge.component.js.map