import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "change", "close", "create", "destroy", "open", "select" , "model.valueChange: valueChange", "model.opacityValueChange: opacityValueChange"];
var ComplexProperties = [ "buttonText", "tooltipText"  ];
var Inputs = Utils.AngularizeInputs( [ "buttonText", "buttonMode", "columns", "cssClass", "custom", "displayInline", "enabled", "enableOpacity", "htmlAttributes", "modelType", "palette", "presetType", "showApplyCancel", "showClearButton", "showPreview", "showRecentColors", "showSwitcher", "showTooltip", "toolIcon", "tooltipText", "buttonText.apply", "buttonText.cancel", "buttonText.swatches", "tooltipText.switcher", "tooltipText.addbutton", "tooltipText.basic", "tooltipText.monochrome", "tooltipText.flatcolors", "tooltipText.seawolf", "tooltipText.webcolors", "tooltipText.sandy", "tooltipText.pinkshades", "tooltipText.misty", "tooltipText.citrus", "tooltipText.vintage", "tooltipText.moonlight", "tooltipText.candycrush", "tooltipText.currentcolor", "tooltipText.selectedcolor"  ],["value", "opacityValue"  ]);
export var ColorPickerComponent = CreateComponent("ColorPicker", {
    selector: '[ej-colorpicker]',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : ["value", "opacityValue"  ],  
   complexes : ComplexProperties,
});

export var ColorPickerValueAccessor = CreateControlValueAccessor("[ej-colorpicker]", ColorPickerComponent);
export const EJ_COLORPICKER_COMPONENTS: Type<any>[] = [ColorPickerComponent , ColorPickerValueAccessor ]

 
