System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var CommandManagerCommandDirective, CommandManagerCommandsDirective, SegmentDirective, SegmentsDirective, ConnectorLabelDirective, ConnectorLabelsDirective, ConnectorDirective, ConnectorsDirective, NodeLabelDirective, NodeLabelsDirective, PhaseDirective, PhasesDirective, PortDirective, PortsDirective, NodeDirective, NodesDirective, Outputs, ComplexProperties, Inputs, DiagramComponent, EJ_DIAGRAM_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("CommandManagerCommandDirective", CommandManagerCommandDirective = core_1.CreateComplexDirective({
                selector: "e-commandmanager-commands>e-commandmanager-command",
                inputs: ["canExecute", "execute", "gesture", "parameter"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return DiagramComponent; })
            }));
            exports_1("CommandManagerCommandsDirective", CommandManagerCommandsDirective = core_1.CreateArrayTagDirective("commandManager.commands", 'ej-diagram>e-commandmanager-commands', CommandManagerCommandDirective));
            exports_1("SegmentDirective", SegmentDirective = core_1.CreateComplexDirective({
                selector: "e-segments>e-segment",
                inputs: ["direction", "length", "point", "point1", "point2", "type", "vector1", "vector2"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return DiagramComponent; })
            }));
            exports_1("SegmentsDirective", SegmentsDirective = core_1.CreateArrayTagDirective("segments", 'e-connectors>e-segments', SegmentDirective));
            exports_1("ConnectorLabelDirective", ConnectorLabelDirective = core_1.CreateComplexDirective({
                selector: "e-connectorlabels>e-connectorlabel",
                inputs: ["alignment", "bold", "borderColor", "borderWidth", "boundaryConstraints", "fillColor", "fontColor", "fontFamily", "fontSize", "horizontalAlignment", "italic", "mode", "name", "offset", "margin", "opacity", "readOnly", "relativeMode", "rotateAngle", "segmentOffset", "text", "textAlign", "textDecoration", "verticalAlignment", "visible", "width", "wrapping"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return DiagramComponent; })
            }));
            exports_1("ConnectorLabelsDirective", ConnectorLabelsDirective = core_1.CreateArrayTagDirective("labels", 'e-connectors>e-connectorlabels', ConnectorLabelDirective));
            exports_1("ConnectorDirective", ConnectorDirective = core_1.CreateComplexDirective({
                selector: "e-connectors>e-connector",
                inputs: ["addInfo", "bridgeSpace", "constraints", "cornerRadius", "cssClass", "horizontalAlign", "labels", "lineColor", "lineDashArray", "lineHitPadding", "lineWidth", "marginBottom", "marginLeft", "marginRight", "marginTop", "name", "opacity", "paletteItem", "parent", "segments", "shape", "sourceDecorator", "sourceNode", "sourcePadding", "sourcePoint", "sourcePort", "targetDecorator", "targetNode", "targetPadding", "targetPoint", "targetPort", "tooltip", "verticalAlign", "visible", "zOrder"],
                queries: {
                    _segments: new core_1.ContentChild(SegmentsDirective),
                    _labels: new core_1.ContentChild(ConnectorLabelsDirective),
                }
            }, {
                tags: ["segments", "labels"],
                type: core_1.forwardRef(function () { return DiagramComponent; })
            }));
            exports_1("ConnectorsDirective", ConnectorsDirective = core_1.CreateArrayTagDirective("connectors", 'ej-diagram>e-connectors', ConnectorDirective));
            exports_1("NodeLabelDirective", NodeLabelDirective = core_1.CreateComplexDirective({
                selector: "e-nodelabels>e-nodelabel",
                inputs: ["bold", "borderColor", "borderWidth", "fillColor", "fontColor", "fontFamily", "fontSize", "horizontalAlignment", "italic", "margin", "mode", "name", "offset", "opacity", "readOnly", "rotateAngle", "text", "textAlign", "textDecoration", "verticalAlignment", "visible", "width", "wrapping"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return DiagramComponent; })
            }));
            exports_1("NodeLabelsDirective", NodeLabelsDirective = core_1.CreateArrayTagDirective("labels", 'e-nodes>e-nodelabels', NodeLabelDirective));
            exports_1("PhaseDirective", PhaseDirective = core_1.CreateComplexDirective({
                selector: "e-phases>e-phase",
                inputs: ["label", "lineColor", "lineDashArray", "lineWidth", "name", "offset", "orientation", "type"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return DiagramComponent; })
            }));
            exports_1("PhasesDirective", PhasesDirective = core_1.CreateArrayTagDirective("phases", 'e-nodes>e-phases', PhaseDirective));
            exports_1("PortDirective", PortDirective = core_1.CreateComplexDirective({
                selector: "e-ports>e-port",
                inputs: ["borderColor", "borderWidth", "connectorPadding", "constraints", "fillColor", "name", "offset", "pathData", "shape", "size", "visibility"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return DiagramComponent; })
            }));
            exports_1("PortsDirective", PortsDirective = core_1.CreateArrayTagDirective("ports", 'e-nodes>e-ports', PortDirective));
            exports_1("NodeDirective", NodeDirective = core_1.CreateComplexDirective({
                selector: "e-nodes>e-node",
                inputs: ["activity", "addInfo", "annotation", "borderColor", "borderDashArray", "borderWidth", "canUngroup", "children", "classifier", "class", "connectorPadding", "constraints", "container", "cornerRadius", "cssClass", "data", "enumeration", "event", "excludeFromLayout", "fillColor", "gateway", "gradient", "group", "header", "height", "horizontalAlign", "inEdges", "interface", "isExpanded", "isSwimlane", "labels", "lanes", "marginBottom", "marginLeft", "marginRight", "marginTop", "maxHeight", "maxWidth", "minHeight", "minWidth", "name", "offsetX", "offsetY", "opacity", "orientation", "outEdges", "paddingBottom", "paddingLeft", "paddingRight", "paddingTop", "paletteItem", "parent", "pathData", "phases", "phaseSize", "pivot", "points", "ports", "rotateAngle", "scale", "shadow", "shape", "source", "subProcess", "task", "templateId", "textBlock", "tooltip", "trigger", "type", "verticalAlign", "visible", "width", "zOrder"],
                queries: {
                    _labels: new core_1.ContentChild(NodeLabelsDirective),
                    _phases: new core_1.ContentChild(PhasesDirective),
                    _ports: new core_1.ContentChild(PortsDirective),
                }
            }, {
                tags: ["labels", "phases", "ports"],
                type: core_1.forwardRef(function () { return DiagramComponent; })
            }));
            exports_1("NodesDirective", NodesDirective = core_1.CreateArrayTagDirective("nodes", 'ej-diagram>e-nodes', NodeDirective));
            Outputs = ["autoScrollChange", "click", "connectionChange", "connectorCollectionChange", "connectorSourceChange", "connectorTargetChange", "contextMenuBeforeOpen", "contextMenuClick", "doubleClick", "drag", "dragEnter", "dragLeave", "dragOver", "drop", "groupChange", "historyChange", "itemClick", "mouseEnter", "mouseLeave", "mouseOver", "nodeCollectionChange", "propertyChange", "rotationChange", "scrollChange", "segmentChange", "selectionChange", "sizeChange", "textChange", "create"];
            ComplexProperties = ["commandManager", "contextMenu", "dataSourceSettings", "defaultSettings", "historyManager", "layout", "pageSettings", "scrollSettings", "selectedItems", "snapSettings", "tooltip", "commandManager.commands", "commandManager.commands.gesture", "snapSettings.horizontalGridLines", "snapSettings.verticalGridLines", "tooltip.alignment"];
            Inputs = core_1.Utils.AngularizeInputs(["backgroundColor", "backgroundImage", "bridgeDirection", "commandManager", "connectorTemplate", "constraints", "contextMenu", "dataSourceSettings", "defaultSettings", "drawType", "enableAutoScroll", "enableContextMenu", "height", "historyManager", "layout", "locale", "nodeTemplate", "pageSettings", "scrollSettings", "selectedItems", "showTooltip", "snapSettings", "tool", "tooltip", "width", "zoomFactor", "backgroundImage.alignment", "backgroundImage.scale", "backgroundImage.source", "commandManager.commands", "commandManager.commands.canExecute", "commandManager.commands.execute", "commandManager.commands.gesture", "commandManager.commands.parameter", "contextMenu.items", "contextMenu.showCustomMenuItemsOnly", "dataSourceSettings.dataSource", "dataSourceSettings.id", "dataSourceSettings.parent", "dataSourceSettings.query", "dataSourceSettings.root", "dataSourceSettings.tableName", "defaultSettings.connector", "defaultSettings.group", "defaultSettings.node", "historyManager.canPop", "historyManager.closeGroupAction", "historyManager.pop", "historyManager.push", "historyManager.redo", "historyManager.startGroupAction", "historyManager.undo", "layout.bounds", "layout.fixedNode", "layout.getLayoutInfo", "layout.horizontalSpacing", "layout.margin", "layout.horizontalAlignment", "layout.verticalAlignment", "layout.orientation", "layout.type", "layout.verticalSpacing", "pageSettings.autoScrollBorder", "pageSettings.multiplePage", "pageSettings.pageBackgroundColor", "pageSettings.pageBorderColor", "pageSettings.pageBorderWidth", "pageSettings.pageHeight", "pageSettings.pageMargin", "pageSettings.pageOrientation", "pageSettings.pageWidth", "pageSettings.scrollableArea", "pageSettings.scrollLimit", "pageSettings.boundaryConstraints", "pageSettings.showPageBreak", "scrollSettings.currentZoom", "scrollSettings.horizontalOffset", "scrollSettings.padding", "scrollSettings.verticalOffset", "scrollSettings.viewPortHeight", "scrollSettings.viewPortWidth", "selectedItems.children", "selectedItems.constraints", "selectedItems.getConstraints", "selectedItems.height", "selectedItems.offsetX", "selectedItems.offsetY", "selectedItems.rotateAngle", "selectedItems.tooltip", "selectedItems.width", "snapSettings.enableSnapToObject", "snapSettings.horizontalGridLines", "snapSettings.horizontalGridLines.lineColor", "snapSettings.horizontalGridLines.lineDashArray", "snapSettings.horizontalGridLines.linesInterval", "snapSettings.horizontalGridLines.snapInterval", "snapSettings.snapAngle", "snapSettings.snapConstraints", "snapSettings.snapObjectDistance", "snapSettings.verticalGridLines", "snapSettings.verticalGridLines.lineColor", "snapSettings.verticalGridLines.lineDashArray", "snapSettings.verticalGridLines.linesInterval", "snapSettings.verticalGridLines.snapInterval", "tooltip.alignment", "tooltip.alignment.horizontal", "tooltip.alignment.vertical", "tooltip.margin", "tooltip.relativeMode", "tooltip.templateId", "connectors", "nodes", "nodes.class.attributes", "nodes.class.methods", "nodes.enumeration.members", "nodes.interface.attributes", "nodes.interface.methods", "selectedItems.userHandles"], []);
            exports_1("DiagramComponent", DiagramComponent = core_1.CreateComponent("Diagram", {
                selector: 'ej-diagram',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _commandManager_commands: new core_1.ContentChild(CommandManagerCommandsDirective),
                    _connectors: new core_1.ContentChild(ConnectorsDirective),
                    _nodes: new core_1.ContentChild(NodesDirective),
                }
            }, {
                tags: ["commandManager.commands", "connectors", "nodes"],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_DIAGRAM_COMPONENTS", EJ_DIAGRAM_COMPONENTS = [DiagramComponent, CommandManagerCommandsDirective, SegmentsDirective, ConnectorLabelsDirective, ConnectorsDirective, NodeLabelsDirective, PhasesDirective, PortsDirective, NodesDirective, CommandManagerCommandDirective, SegmentDirective, ConnectorLabelDirective, ConnectorDirective, NodeLabelDirective, PhaseDirective, PortDirective, NodeDirective]);
        }
    }
});
//# sourceMappingURL=diagram.component.js.map