System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var ItemDirective, ItemsDirective, Outputs, ComplexProperties, Inputs, DigitalGaugeComponent, EJ_DIGITALGAUGE_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("ItemDirective", ItemDirective = core_1.CreateComplexDirective({
                selector: "e-digitalgauge-items>e-digitalgauge-item",
                inputs: ["characterSettings", "enableCustomFont", "font", "position", "segmentSettings", "shadowBlur", "shadowColor", "shadowOffsetX", "shadowOffsetY", "textAlign", "textColor", "value"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return DigitalGaugeComponent; })
            }));
            exports_1("ItemsDirective", ItemsDirective = core_1.CreateArrayTagDirective("items", 'ej-digitalgauge>e-digitalgauge-items', ItemDirective));
            Outputs = ["init", "itemRendering", "load", "renderComplete", "model.valueChange: valueChange"];
            ComplexProperties = ["frame", "items", "items.characterSettings", "items.font", "items.position", "items.segmentSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["frame", "height", "isResponsive", "items", "matrixSegmentData", "segmentData", "themes", "width", "frame.backgroundImageUrl", "frame.innerWidth", "frame.outerWidth", "items.characterSettings", "items.characterSettings.count", "items.characterSettings.opacity", "items.characterSettings.spacing", "items.characterSettings.type", "items.enableCustomFont", "items.font", "items.font.fontFamily", "items.font.fontStyle", "items.font.size", "items.position", "items.position.x", "items.position.y", "items.segmentSettings", "items.segmentSettings.color", "items.segmentSettings.gradient", "items.segmentSettings.length", "items.segmentSettings.opacity", "items.segmentSettings.spacing", "items.segmentSettings.width", "items.shadowBlur", "items.shadowColor", "items.shadowOffsetX", "items.shadowOffsetY", "items.textAlign", "items.textColor", "items.value"], ["value"]);
            exports_1("DigitalGaugeComponent", DigitalGaugeComponent = core_1.CreateComponent("DigitalGauge", {
                selector: 'ej-digitalgauge',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _items: new core_1.ContentChild(ItemsDirective),
                }
            }, {
                tags: ["items"],
                twoways: ["value"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_DIGITALGAUGE_COMPONENTS", EJ_DIGITALGAUGE_COMPONENTS = [DigitalGaugeComponent, ItemsDirective, ItemDirective]);
        }
    }
});
//# sourceMappingURL=digitalgauge.component.js.map