import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';
export var ItemDirective = CreateComplexDirective({
    selector: "e-digitalgauge-items>e-digitalgauge-item",
    inputs: ["characterSettings", "enableCustomFont", "font", "position", "segmentSettings", "shadowBlur", "shadowColor", "shadowOffsetX", "shadowOffsetY", "textAlign", "textColor", "value"],
    queries: {
    }
}, {
    tags: [ ],
     type: forwardRef(() => DigitalGaugeComponent)
});


export var ItemsDirective = CreateArrayTagDirective("items", 'ej-digitalgauge>e-digitalgauge-items', ItemDirective);


var Outputs = [ "init", "itemRendering", "load", "renderComplete" , "model.valueChange: valueChange"];
var ComplexProperties = [ "frame", "items", "items.characterSettings", "items.font", "items.position", "items.segmentSettings"  ];
var Inputs = Utils.AngularizeInputs( [ "frame", "height", "isResponsive", "items", "matrixSegmentData", "segmentData", "themes", "width", "frame.backgroundImageUrl", "frame.innerWidth", "frame.outerWidth", "items.characterSettings", "items.characterSettings.count", "items.characterSettings.opacity", "items.characterSettings.spacing", "items.characterSettings.type", "items.enableCustomFont", "items.font", "items.font.fontFamily", "items.font.fontStyle", "items.font.size", "items.position", "items.position.x", "items.position.y", "items.segmentSettings", "items.segmentSettings.color", "items.segmentSettings.gradient", "items.segmentSettings.length", "items.segmentSettings.opacity", "items.segmentSettings.spacing", "items.segmentSettings.width", "items.shadowBlur", "items.shadowColor", "items.shadowOffsetX", "items.shadowOffsetY", "items.textAlign", "items.textColor", "items.value"  ],["value"  ]);
export var DigitalGaugeComponent = CreateComponent("DigitalGauge", {
    selector: 'ej-digitalgauge',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
        _items : new ContentChild(ItemsDirective),
    }
},{
   tags : ["items"], 
   twoways : ["value"  ],  
   complexes : ComplexProperties,
});

export const EJ_DIGITALGAUGE_COMPONENTS: Type<any>[] = [DigitalGaugeComponent  , ItemsDirective, ItemDirective]

 
