import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "beforeAjaxRequest", "beforeDownload", "beforeGetImage", "beforeOpen", "beforeUpload", "create", "copy", "createFolder", "cut", "destroy", "dragStart", "drag", "dragStop", "drop", "getImage", "layoutChange" ];
var ComplexProperties = [ "contextMenuSettings", "filterSettings", "gridSettings", "uploadSettings"  ];
var Inputs = Utils.AngularizeInputs( [ "ajaxAction", "ajaxDataType", "ajaxSettings", "allowDragAndDrop", "allowMultiSelection", "contextMenuSettings", "cssClass", "enableResize", "enableRTL", "enableThumbnailCompress", "fileTypes", "filterSettings", "gridSettings", "height", "isResponsive", "layout", "locale", "maxHeight", "maxWidth", "minHeight", "minWidth", "path", "selectedFolder", "selectedItems", "showCheckbox", "showContextMenu", "showFooter", "showRoundedCorner", "showThumbnail", "showToolbar", "showNavigationPane", "tools", "toolsList", "uploadSettings", "width", "contextMenuSettings.items", "contextMenuSettings.customMenuFields", "filterSettings.allowSearchOnTyping", "filterSettings.caseSensitiveSearch", "filterSettings.filterType", "gridSettings.allowResizing", "gridSettings.allowSorting", "gridSettings.columns", "uploadSettings.maxFileSize", "uploadSettings.allowMultipleFile", "uploadSettings.autoUpload"  ],[  ]);
export var FileExplorerComponent = CreateComponent("FileExplorer", {
    selector: 'ej-fileexplorer',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_FILEEXPLORER_COMPONENTS: Type<any>[] = [FileExplorerComponent  ]

 
