System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, GanttComponent, EJ_GANTT_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["actionBegin", "actionComplete", "beginEdit", "cellSelecting", "cellSelected", "rowDrag", "rowDragStart", "rowDragStop", "collapsed", "collapsing", "contextMenuOpen", "create", "endEdit", "expanded", "expanding", "load", "queryCellInfo", "queryTaskbarInfo", "rowDataBound", "rowSelected", "rowSelecting", "taskbarEdited", "taskbarEditing", "toolbarClick", "model.dataSourceChange: dataSourceChange", "model.selectedRowIndexChange: selectedRowIndexChange", "model.splitterSettings.positionChange: splitterSettings.positionChange"];
            ComplexProperties = ["dragTooltip", "splitterSettings", "editSettings", "scheduleHeaderSettings", "sizeSettings", "sortSettings", "toolbarSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["addDialogFields", "allowColumnResize", "allowGanttChartEditing", "allowKeyboardNavigation", "allowMultiSorting", "allowSelection", "allowSorting", "allowDragAndDrop", "enablePredecessorValidation", "baselineColor", "baselineEndDateMapping", "baselineStartDateMapping", "childMapping", "columnDialogFields", "connectorLineBackground", "connectorlineWidth", "cssClass", "cellTooltipTemplate", "dragTooltip", "dateFormat", "durationMapping", "durationUnit", "editDialogFields", "isResponsive", "splitterSettings", "editSettings", "enableAltRow", "enableWBS", "enableWBSPredecessor", "enableCollapseAll", "leftTaskLabelMapping", "rightTaskLabelMapping", "leftTaskLabelTemplate", "rightTaskLabelTemplate", "enableContextMenu", "enableProgressBarResizing", "enableResize", "enableTaskbarDragTooltip", "enableTaskbarTooltip", "enableVirtualization", "endDateMapping", "highlightWeekends", "holidays", "includeWeekend", "locale", "milestoneMapping", "showColumnOptions", "parentTaskbarTemplate", "selectionType", "parentProgressbarBackground", "parentTaskbarBackground", "parentTaskIdMapping", "predecessorMapping", "progressbarBackground", "progressbarHeight", "progressbarTooltipTemplate", "progressbarTooltipTemplateId", "progressMapping", "query", "renderBaseline", "resourceIdMapping", "resourceInfoMapping", "resourceNameMapping", "resources", "roundOffDayworkingTime", "rowHeight", "scheduleEndDate", "scheduleHeaderSettings", "scheduleStartDate", "showColumnChooser", "showGridCellTooltip", "showGridExpandCellTooltip", "showProgressStatus", "showResourceNames", "showTaskNames", "sizeSettings", "sortSettings", "splitterPosition", "startDateMapping", "stripLines", "taskbarBackground", "taskbarEditingTooltipTemplate", "taskbarEditingTooltipTemplateId", "taskbarTooltipTemplate", "taskbarTemplate", "milestoneTemplate", "readOnly", "taskbarTooltipTemplateId", "taskIdMapping", "taskNameMapping", "toolbarSettings", "treeColumnIndex", "selectionMode", "weekendBackground", "workingTimeScale", "dragTooltip.showTooltip", "dragTooltip.tooltipItems", "dragTooltip.tooltipTemplate", "splitterSettings.index", "editSettings.allowAdding", "editSettings.allowDeleting", "editSettings.allowEditing", "editSettings.allowIndent", "editSettings.allowOutdent", "editSettings.beginEditAction", "editSettings.editMode", "scheduleHeaderSettings.dayHeaderFormat", "scheduleHeaderSettings.hourHeaderFormat", "scheduleHeaderSettings.minutesPerInterval", "scheduleHeaderSettings.monthHeaderFormat", "scheduleHeaderSettings.scheduleHeaderType", "scheduleHeaderSettings.timescaleStartDateMode", "scheduleHeaderSettings.weekendBackground", "scheduleHeaderSettings.weekHeaderFormat", "scheduleHeaderSettings.yearHeaderFormat", "sizeSettings.height", "sizeSettings.width", "sortSettings.sortedColumns", "toolbarSettings.showToolbar", "toolbarSettings.toolbarItems", "selectedCellIndexes"], ["dataSource", "selectedRowIndex", "splitterSettings.position"]);
            exports_1("GanttComponent", GanttComponent = core_1.CreateComponent("Gantt", {
                selector: 'ej-gantt',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: ["dataSource", "selectedRowIndex", "splitterSettings.position"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_GANTT_COMPONENTS", EJ_GANTT_COMPONENTS = [GanttComponent]);
        }
    }
});
//# sourceMappingURL=gantt.component.js.map