System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var ColorMappingDirective, ColorMappingCollectionDirective, Outputs, ComplexProperties, Inputs, HeatMapComponent, EJ_HEATMAP_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("ColorMappingDirective", ColorMappingDirective = core_1.CreateComplexDirective({
                selector: "e-colormappingcollection>e-colormapping",
                inputs: ["color", "value", "label"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return HeatMapComponent; })
            }));
            exports_1("ColorMappingCollectionDirective", ColorMappingCollectionDirective = core_1.CreateArrayTagDirective("colorMappingCollection", 'ej-heatmap>e-colormappingcollection', ColorMappingDirective));
            Outputs = ["cellMouseOver", "cellMouseEnter", "cellMouseLeave", "cellSelected"];
            ComplexProperties = ["heatMapCell", "defaultColumnStyle", "itemsMapping", "itemsMapping.columnStyle", "itemsMapping.column", "itemsMapping.row", "itemsMapping.value", "itemsMapping.headerMapping"];
            Inputs = core_1.Utils.AngularizeInputs(["width", "height", "id", "itemsSource", "heatMapCell", "isResponsive", "enableVirtualization", "defaultColumnStyle", "legendCollection", "itemsMapping", "heatMapCell.showContent", "heatMapCell.showColor", "defaultColumnStyle.textAlign", "defaultColumnStyle.headerTemplateID", "defaultColumnStyle.templateID", "itemsMapping.columnStyle", "itemsMapping.columnStyle.width", "itemsMapping.columnStyle.textAlign", "itemsMapping.columnStyle.headerTemplateID", "itemsMapping.columnStyle.templateID", "itemsMapping.column", "itemsMapping.column.propertyName", "itemsMapping.column.displayName", "itemsMapping.row", "itemsMapping.row.propertyName", "itemsMapping.row.displayName", "itemsMapping.value", "itemsMapping.value.propertyName", "itemsMapping.value.displayName", "itemsMapping.headerMapping", "itemsMapping.headerMapping.propertyName", "itemsMapping.headerMapping.displayName", "itemsMapping.headerMapping.columnStyle", "itemsMapping.columnMapping", "colorMappingCollection"], []);
            exports_1("HeatMapComponent", HeatMapComponent = core_1.CreateComponent("HeatMap", {
                selector: 'ej-heatmap',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _colorMappingCollection: new core_1.ContentChild(ColorMappingCollectionDirective),
                }
            }, {
                tags: ["colorMappingCollection"],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_HEATMAP_COMPONENTS", EJ_HEATMAP_COMPONENTS = [HeatMapComponent, ColorMappingCollectionDirective, ColorMappingDirective]);
        }
    }
});
//# sourceMappingURL=heatmap.component.js.map