import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';
export var ColorMappingDirective = CreateComplexDirective({
    selector: "e-colormappingcollection>e-colormapping",
    inputs: ["color", "value", "label"],
    queries: {
    }
}, {
    tags: [ ],
     type: forwardRef(() => HeatMapComponent)
});


export var ColorMappingCollectionDirective = CreateArrayTagDirective("colorMappingCollection", 'ej-heatmap>e-colormappingcollection', ColorMappingDirective);


var Outputs = [ "cellMouseOver", "cellMouseEnter", "cellMouseLeave", "cellSelected" ];
var ComplexProperties = [ "heatMapCell", "defaultColumnStyle", "itemsMapping", "itemsMapping.columnStyle", "itemsMapping.column", "itemsMapping.row", "itemsMapping.value", "itemsMapping.headerMapping"  ];
var Inputs = Utils.AngularizeInputs( [ "width", "height", "id", "itemsSource", "heatMapCell", "isResponsive", "enableVirtualization", "defaultColumnStyle", "legendCollection", "itemsMapping", "heatMapCell.showContent", "heatMapCell.showColor", "defaultColumnStyle.textAlign", "defaultColumnStyle.headerTemplateID", "defaultColumnStyle.templateID", "itemsMapping.columnStyle", "itemsMapping.columnStyle.width", "itemsMapping.columnStyle.textAlign", "itemsMapping.columnStyle.headerTemplateID", "itemsMapping.columnStyle.templateID", "itemsMapping.column", "itemsMapping.column.propertyName", "itemsMapping.column.displayName", "itemsMapping.row", "itemsMapping.row.propertyName", "itemsMapping.row.displayName", "itemsMapping.value", "itemsMapping.value.propertyName", "itemsMapping.value.displayName", "itemsMapping.headerMapping", "itemsMapping.headerMapping.propertyName", "itemsMapping.headerMapping.displayName", "itemsMapping.headerMapping.columnStyle", "itemsMapping.columnMapping", "colorMappingCollection"  ],[  ]);
export var HeatMapComponent = CreateComponent("HeatMap", {
    selector: 'ej-heatmap',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
        _colorMappingCollection : new ContentChild(ColorMappingCollectionDirective),
    }
},{
   tags : ["colorMappingCollection"], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_HEATMAP_COMPONENTS: Type<any>[] = [HeatMapComponent  , ColorMappingCollectionDirective, ColorMappingDirective]

 
