import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';
export var LegendcolorMappingDirective = CreateComplexDirective({
    selector: "e-legendcolormappings>e-legendcolormapping",
    inputs: ["color", "value", "label"],
    queries: {
    }
}, {
    tags: [ ],
     type: forwardRef(() => HeatMapLegendComponent)
});


export var LegendcolorMappingsDirective = CreateArrayTagDirective("colorMappingCollection", 'ej-heatmaplegend>e-legendcolormappings', LegendcolorMappingDirective);


var Outputs = [  ];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "width", "height", "isResponsive", "showLabel", "orientation", "legendMode", "colorMappingCollection"  ],[  ]);
export var HeatMapLegendComponent = CreateComponent("HeatMapLegend", {
    selector: 'ej-heatmaplegend',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
        _colorMappingCollection : new ContentChild(LegendcolorMappingsDirective),
    }
},{
   tags : ["colorMappingCollection"], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_HEATMAPLEGEND_COMPONENTS: Type<any>[] = [HeatMapLegendComponent  , LegendcolorMappingsDirective, LegendcolorMappingDirective]

 
