System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var ColumnDirective, ColumnsDirective, Outputs, ComplexProperties, Inputs, KanbanComponent, EJ_KANBAN_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("ColumnDirective", ColumnDirective = core_1.CreateComplexDirective({
                selector: "e-kanban-columns>e-kanban-column",
                inputs: ["headerText", "totalCount", "key", "allowDrop", "allowDrag", "isCollapsed", "constraints", "headerTemplate", "width", "visible", "showAddButton"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return KanbanComponent; })
            }));
            exports_1("ColumnsDirective", ColumnsDirective = core_1.CreateArrayTagDirective("columns", 'ej-kanban>e-kanban-columns', ColumnDirective));
            Outputs = ["actionBegin", "actionComplete", "actionFailure", "beginEdit", "beginAdd", "beforeCardSelect", "cardClick", "cardDrag", "cardDragStart", "cardDragStop", "cardDrop", "cardSelect", "cardDoubleClick", "model.dataSourceChange: dataSourceChange"];
            ComplexProperties = ["swimlaneSettings", "contextMenuSettings", "cardSettings", "editSettings", "fields", "scrollSettings", "searchSettings", "tooltipSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["allowDragAndDrop", "allowTitle", "swimlaneSettings", "allowToggleColumn", "allowSearching", "allowFiltering", "allowSelection", "allowHover", "allowKeyboardNavigation", "allowScrolling", "allowPrinting", "contextMenuSettings", "cardSettings", "cssClass", "enableTouch", "enableRTL", "enableTotalCount", "editSettings", "fields", "keyField", "isResponsive", "minWidth", "query", "keySettings", "scrollSettings", "searchSettings", "selectionType", "tooltipSettings", "locale", "swimlaneSettings.showCount", "swimlaneSettings.allowDragAndDrop", "contextMenuSettings.enable", "contextMenuSettings.disableDefaultItems", "contextMenuSettings.menuItems", "cardSettings.template", "cardSettings.colorMapping", "editSettings.allowEditing", "editSettings.allowAdding", "editSettings.dialogTemplate", "editSettings.editMode", "editSettings.externalFormTemplate", "editSettings.formPosition", "fields.primaryKey", "fields.swimlaneKey", "fields.priority", "fields.content", "fields.tag", "fields.title", "fields.color", "fields.imageUrl", "scrollSettings.height", "scrollSettings.width", "scrollSettings.allowFreezeSwimlane", "searchSettings.fields", "searchSettings.key", "searchSettings.operator", "searchSettings.ignoreCase", "tooltipSettings.enable", "tooltipSettings.template", "columns", "customToolbarItems", "filterSettings", "stackedHeaderRows", "workflows", "contextMenuSettings.customMenuItems", "editSettings.editItems"], ["dataSource"]);
            exports_1("KanbanComponent", KanbanComponent = core_1.CreateComponent("Kanban", {
                selector: 'ej-kanban',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _columns: new core_1.ContentChild(ColumnsDirective),
                }
            }, {
                tags: ["columns"],
                twoways: ["dataSource"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_KANBAN_COMPONENTS", EJ_KANBAN_COMPONENTS = [KanbanComponent, ColumnsDirective, ColumnDirective]);
        }
    }
});
//# sourceMappingURL=kanban.component.js.map