import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';
export var ColumnDirective = CreateComplexDirective({
    selector: "e-kanban-columns>e-kanban-column",
    inputs: ["headerText", "totalCount", "key", "allowDrop", "allowDrag", "isCollapsed", "constraints", "headerTemplate", "width", "visible", "showAddButton"],
    queries: {
    }
}, {
    tags: [ ],
     type: forwardRef(() => KanbanComponent)
});


export var ColumnsDirective = CreateArrayTagDirective("columns", 'ej-kanban>e-kanban-columns', ColumnDirective);


var Outputs = [ "actionBegin", "actionComplete", "actionFailure", "beginEdit", "beginAdd", "beforeCardSelect", "cardClick", "cardDrag", "cardDragStart", "cardDragStop", "cardDrop", "cardSelect", "cardDoubleClick" , "model.dataSourceChange: dataSourceChange"];
var ComplexProperties = [ "swimlaneSettings", "contextMenuSettings", "cardSettings", "editSettings", "fields", "scrollSettings", "searchSettings", "tooltipSettings"  ];
var Inputs = Utils.AngularizeInputs( [ "allowDragAndDrop", "allowTitle", "swimlaneSettings", "allowToggleColumn", "allowSearching", "allowFiltering", "allowSelection", "allowHover", "allowKeyboardNavigation", "allowScrolling", "allowPrinting", "contextMenuSettings", "cardSettings", "cssClass", "enableTouch", "enableRTL", "enableTotalCount", "editSettings", "fields", "keyField", "isResponsive", "minWidth", "query", "keySettings", "scrollSettings", "searchSettings", "selectionType", "tooltipSettings", "locale", "swimlaneSettings.showCount", "swimlaneSettings.allowDragAndDrop", "contextMenuSettings.enable", "contextMenuSettings.disableDefaultItems", "contextMenuSettings.menuItems", "cardSettings.template", "cardSettings.colorMapping", "editSettings.allowEditing", "editSettings.allowAdding", "editSettings.dialogTemplate", "editSettings.editMode", "editSettings.externalFormTemplate", "editSettings.formPosition", "fields.primaryKey", "fields.swimlaneKey", "fields.priority", "fields.content", "fields.tag", "fields.title", "fields.color", "fields.imageUrl", "scrollSettings.height", "scrollSettings.width", "scrollSettings.allowFreezeSwimlane", "searchSettings.fields", "searchSettings.key", "searchSettings.operator", "searchSettings.ignoreCase", "tooltipSettings.enable", "tooltipSettings.template", "columns", "customToolbarItems", "filterSettings", "stackedHeaderRows", "workflows", "contextMenuSettings.customMenuItems", "editSettings.editItems"  ],["dataSource"  ]);
export var KanbanComponent = CreateComponent("Kanban", {
    selector: 'ej-kanban',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
        _columns : new ContentChild(ColumnsDirective),
    }
},{
   tags : ["columns"], 
   twoways : ["dataSource"  ],  
   complexes : ComplexProperties,
});

export const EJ_KANBAN_COMPONENTS: Type<any>[] = [KanbanComponent  , ColumnsDirective, ColumnDirective]

 
