System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var MarkerPointerDirective, MarkerPointersDirective, BarPointerDirective, BarPointersDirective, RangeDirective, RangesDirective, TickDirective, TicksDirective, StateRangeDirective, StateRangesDirective, IndicatorDirective, IndicatorsDirective, LabelDirective, LabelsDirective, ScaleDirective, ScalesDirective, Outputs, ComplexProperties, Inputs, LinearGaugeComponent, EJ_LINEARGAUGE_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("MarkerPointerDirective", MarkerPointerDirective = core_1.CreateComplexDirective({
                selector: "e-markerpointers>e-markerpointer",
                inputs: ["backgroundColor", "border", "distanceFromScale", "gradients", "length", "opacity", "placement", "type", "value", "width"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return LinearGaugeComponent; })
            }));
            exports_1("MarkerPointersDirective", MarkerPointersDirective = core_1.CreateArrayTagDirective("markerPointers", 'e-scales>e-markerpointers', MarkerPointerDirective));
            exports_1("BarPointerDirective", BarPointerDirective = core_1.CreateComplexDirective({
                selector: "e-barpointers>e-barpointer",
                inputs: ["backgroundColor", "border", "distanceFromScale", "gradients", "opacity", "value", "width"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return LinearGaugeComponent; })
            }));
            exports_1("BarPointersDirective", BarPointersDirective = core_1.CreateArrayTagDirective("barPointers", 'e-scales>e-barpointers', BarPointerDirective));
            exports_1("RangeDirective", RangeDirective = core_1.CreateComplexDirective({
                selector: "e-ranges>e-range",
                inputs: ["backgroundColor", "border", "distanceFromScale", "endValue", "endWidth", "gradients", "opacity", "placement", "startValue", "startWidth"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return LinearGaugeComponent; })
            }));
            exports_1("RangesDirective", RangesDirective = core_1.CreateArrayTagDirective("ranges", 'e-scales>e-ranges', RangeDirective));
            exports_1("TickDirective", TickDirective = core_1.CreateComplexDirective({
                selector: "e-ticks>e-tick",
                inputs: ["angle", "color", "distanceFromScale", "height", "opacity", "placement", "type", "width"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return LinearGaugeComponent; })
            }));
            exports_1("TicksDirective", TicksDirective = core_1.CreateArrayTagDirective("ticks", 'e-scales>e-ticks', TickDirective));
            exports_1("StateRangeDirective", StateRangeDirective = core_1.CreateComplexDirective({
                selector: "e-stateranges>e-staterange",
                inputs: ["backgroundColor", "borderColor", "endValue", "startValue", "text", "textColor"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return LinearGaugeComponent; })
            }));
            exports_1("StateRangesDirective", StateRangesDirective = core_1.CreateArrayTagDirective("stateRanges", 'e-indicators>e-stateranges', StateRangeDirective));
            exports_1("IndicatorDirective", IndicatorDirective = core_1.CreateComplexDirective({
                selector: "e-indicators>e-indicator",
                inputs: ["backgroundColor", "border", "font", "height", "opacity", "position", "stateRanges", "textLocation", "type", "width"],
                queries: {
                    _stateRanges: new core_1.ContentChild(StateRangesDirective),
                }
            }, {
                tags: ["stateRanges"],
                type: core_1.forwardRef(function () { return LinearGaugeComponent; })
            }));
            exports_1("IndicatorsDirective", IndicatorsDirective = core_1.CreateArrayTagDirective("indicators", 'e-scales>e-indicators', IndicatorDirective));
            exports_1("LabelDirective", LabelDirective = core_1.CreateComplexDirective({
                selector: "e-labels>e-label",
                inputs: ["angle", "distanceFromScale", "font", "includeFirstValue", "opacity", "placement", "textColor", "type", "unitText", "unitTextPlacement"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return LinearGaugeComponent; })
            }));
            exports_1("LabelsDirective", LabelsDirective = core_1.CreateArrayTagDirective("labels", 'e-scales>e-labels', LabelDirective));
            exports_1("ScaleDirective", ScaleDirective = core_1.CreateComplexDirective({
                selector: "e-scales>e-scale",
                inputs: ["backgroundColor", "barPointers", "border", "customLabels", "direction", "indicators", "labels", "length", "majorIntervalValue", "markerPointers", "maximum", "minimum", "minorIntervalValue", "opacity", "position", "ranges", "shadowOffset", "showBarPointers", "showCustomLabels", "showIndicators", "showLabels", "showMarkerPointers", "showRanges", "showTicks", "ticks", "type", "width"],
                queries: {
                    _markerPointers: new core_1.ContentChild(MarkerPointersDirective),
                    _barPointers: new core_1.ContentChild(BarPointersDirective),
                    _ranges: new core_1.ContentChild(RangesDirective),
                    _ticks: new core_1.ContentChild(TicksDirective),
                    _indicators: new core_1.ContentChild(IndicatorsDirective),
                    _labels: new core_1.ContentChild(LabelsDirective),
                }
            }, {
                tags: ["markerPointers", "barPointers", "ranges", "ticks", "indicators", "labels"],
                type: core_1.forwardRef(function () { return LinearGaugeComponent; })
            }));
            exports_1("ScalesDirective", ScalesDirective = core_1.CreateArrayTagDirective("scales", 'ej-lineargauge>e-scales', ScaleDirective));
            Outputs = ["drawBarPointers", "drawCustomLabel", "drawIndicators", "drawLabels", "drawMarkerPointers", "drawRange", "drawTicks", "init", "load", "mouseClick", "mouseClickMove", "mouseClickUp", "renderComplete", "model.valueChange: valueChange", "model.minimumChange: minimumChange", "model.maximumChange: maximumChange"];
            ComplexProperties = ["frame", "scales", "tooltip", "scales.border", "scales.position"];
            Inputs = core_1.Utils.AngularizeInputs(["animationSpeed", "backgroundColor", "borderColor", "enableAnimation", "enableMarkerPointerAnimation", "isResponsive", "frame", "height", "labelColor", "orientation", "outerCustomLabelPosition", "pointerGradient1", "pointerGradient2", "readOnly", "scales", "theme", "tickColor", "tooltip", "width", "frame.backgroundImageUrl", "frame.innerWidth", "frame.outerWidth", "scales.backgroundColor", "scales.border", "scales.border.color", "scales.border.width", "scales.direction", "scales.length", "scales.majorIntervalValue", "scales.maximum", "scales.minimum", "scales.minorIntervalValue", "scales.opacity", "scales.position", "scales.position.x", "scales.position.y", "scales.shadowOffset", "scales.showBarPointers", "scales.showCustomLabels", "scales.showIndicators", "scales.showLabels", "scales.showMarkerPointers", "scales.showRanges", "scales.showTicks", "scales.type", "scales.width", "tooltip.showCustomLabelTooltip", "tooltip.showLabelTooltip", "tooltip.templateID", "scales.barPointers", "scales.customLabels", "scales.indicators", "scales.labels", "scales.markerPointers", "scales.ranges", "scales.ticks"], ["value", "minimum", "maximum"]);
            exports_1("LinearGaugeComponent", LinearGaugeComponent = core_1.CreateComponent("LinearGauge", {
                selector: 'ej-lineargauge',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _scales: new core_1.ContentChild(ScalesDirective),
                }
            }, {
                tags: ["scales"],
                twoways: ["value", "minimum", "maximum"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_LINEARGAUGE_COMPONENTS", EJ_LINEARGAUGE_COMPONENTS = [LinearGaugeComponent, MarkerPointersDirective, BarPointersDirective, RangesDirective, TicksDirective, StateRangesDirective, IndicatorsDirective, LabelsDirective, ScalesDirective, MarkerPointerDirective, BarPointerDirective, RangeDirective, TickDirective, StateRangeDirective, IndicatorDirective, LabelDirective, ScaleDirective]);
        }
    }
});
//# sourceMappingURL=lineargauge.component.js.map