System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var LayerDirective, LayersDirective, Outputs, ComplexProperties, Inputs, MapComponent, EJ_MAP_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("LayerDirective", LayerDirective = core_1.CreateComplexDirective({
                selector: "e-layers>e-layer",
                inputs: ["bingMapType", "bubbleSettings", "dataSource", "shapeDataPath", "shapePropertyPath", "enableMouseHover", "enableSelection", "key", "labelSettings", "layerType", "legendSettings", "mapItemsTemplate", "markers", "markerTemplate", "selectedMapShapes", "selectionMode", "shapeData", "shapeSettings", "showMapItems", "showTooltip", "tooltipTemplate", "urlTemplate"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return MapComponent; })
            }));
            exports_1("LayersDirective", LayersDirective = core_1.CreateArrayTagDirective("layers", 'ej-map>e-layers', LayerDirective));
            Outputs = ["markerSelected", "mouseleave", "mouseover", "onRenderComplete", "panned", "shapeSelected", "zoomedIn", "zoomedOut", "model.baseMapIndexChange: baseMapIndexChange", "model.enablePanChange: enablePanChange", "model.enableResizeChange: enableResizeChange", "model.enableAnimationChange: enableAnimationChange", "model.zoomSettings.levelChange: zoomSettings.levelChange", "model.zoomSettings.minValueChange: zoomSettings.minValueChange", "model.zoomSettings.maxValueChange: zoomSettings.maxValueChange", "model.zoomSettings.factorChange: zoomSettings.factorChange", "model.zoomSettings.enableZoomChange: zoomSettings.enableZoomChange", "model.zoomSettings.enableZoomOnSelectionChange: zoomSettings.enableZoomOnSelectionChange", "model.navigationControl.enableNavigationChange: navigationControl.enableNavigationChange", "model.navigationControl.orientationChange: navigationControl.orientationChange", "model.navigationControl.absolutePositionChange: navigationControl.absolutePositionChange", "model.navigationControl.dockPositionChange: navigationControl.dockPositionChange"];
            ComplexProperties = ["zoomSettings", "navigationControl"];
            Inputs = core_1.Utils.AngularizeInputs(["background", "centerPosition", "enableLayerChangeAnimation", "zoomSettings", "navigationControl", "navigationControl.content", "layers", "layers.shapeSettings.colorMappings.rangeColorMapping", "layers.shapeSettings.colorMappings.equalColorMapping"], ["baseMapIndex", "enablePan", "enableResize", "enableAnimation", "zoomSettings.level", "zoomSettings.minValue", "zoomSettings.maxValue", "zoomSettings.factor", "zoomSettings.enableZoom", "zoomSettings.enableZoomOnSelection", "navigationControl.enableNavigation", "navigationControl.orientation", "navigationControl.absolutePosition", "navigationControl.dockPosition"]);
            exports_1("MapComponent", MapComponent = core_1.CreateComponent("Map", {
                selector: 'ej-map',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _layers: new core_1.ContentChild(LayersDirective),
                }
            }, {
                tags: ["layers"],
                twoways: ["baseMapIndex", "enablePan", "enableResize", "enableAnimation", "zoomSettings.level", "zoomSettings.minValue", "zoomSettings.maxValue", "zoomSettings.factor", "zoomSettings.enableZoom", "zoomSettings.enableZoomOnSelection", "navigationControl.enableNavigation", "navigationControl.orientation", "navigationControl.absolutePosition", "navigationControl.dockPosition"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_MAP_COMPONENTS", EJ_MAP_COMPONENTS = [MapComponent, LayersDirective, LayerDirective]);
        }
    }
});
//# sourceMappingURL=map.component.js.map