import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';
export var LayerDirective = CreateComplexDirective({
    selector: "e-layers>e-layer",
    inputs: ["bingMapType", "bubbleSettings", "dataSource", "shapeDataPath", "shapePropertyPath", "enableMouseHover", "enableSelection", "key", "labelSettings", "layerType", "legendSettings", "mapItemsTemplate", "markers", "markerTemplate", "selectedMapShapes", "selectionMode", "shapeData", "shapeSettings", "showMapItems", "showTooltip", "tooltipTemplate", "urlTemplate"],
    queries: {
    }
}, {
    tags: [ ],
     type: forwardRef(() => MapComponent)
});


export var LayersDirective = CreateArrayTagDirective("layers", 'ej-map>e-layers', LayerDirective);


var Outputs = [ "markerSelected", "mouseleave", "mouseover", "onRenderComplete", "panned", "shapeSelected", "zoomedIn", "zoomedOut" , "model.baseMapIndexChange: baseMapIndexChange", "model.enablePanChange: enablePanChange", "model.enableResizeChange: enableResizeChange", "model.enableAnimationChange: enableAnimationChange", "model.zoomSettings.levelChange: zoomSettings.levelChange", "model.zoomSettings.minValueChange: zoomSettings.minValueChange", "model.zoomSettings.maxValueChange: zoomSettings.maxValueChange", "model.zoomSettings.factorChange: zoomSettings.factorChange", "model.zoomSettings.enableZoomChange: zoomSettings.enableZoomChange", "model.zoomSettings.enableZoomOnSelectionChange: zoomSettings.enableZoomOnSelectionChange", "model.navigationControl.enableNavigationChange: navigationControl.enableNavigationChange", "model.navigationControl.orientationChange: navigationControl.orientationChange", "model.navigationControl.absolutePositionChange: navigationControl.absolutePositionChange", "model.navigationControl.dockPositionChange: navigationControl.dockPositionChange"];
var ComplexProperties = [ "zoomSettings", "navigationControl"  ];
var Inputs = Utils.AngularizeInputs( [ "background", "centerPosition", "enableLayerChangeAnimation", "zoomSettings", "navigationControl", "navigationControl.content", "layers", "layers.shapeSettings.colorMappings.rangeColorMapping", "layers.shapeSettings.colorMappings.equalColorMapping"  ],["baseMapIndex", "enablePan", "enableResize", "enableAnimation", "zoomSettings.level", "zoomSettings.minValue", "zoomSettings.maxValue", "zoomSettings.factor", "zoomSettings.enableZoom", "zoomSettings.enableZoomOnSelection", "navigationControl.enableNavigation", "navigationControl.orientation", "navigationControl.absolutePosition", "navigationControl.dockPosition"  ]);
export var MapComponent = CreateComponent("Map", {
    selector: 'ej-map',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
        _layers : new ContentChild(LayersDirective),
    }
},{
   tags : ["layers"], 
   twoways : ["baseMapIndex", "enablePan", "enableResize", "enableAnimation", "zoomSettings.level", "zoomSettings.minValue", "zoomSettings.maxValue", "zoomSettings.factor", "zoomSettings.enableZoom", "zoomSettings.enableZoomOnSelection", "navigationControl.enableNavigation", "navigationControl.orientation", "navigationControl.absolutePosition", "navigationControl.dockPosition"  ],  
   complexes : ComplexProperties,
});

export const EJ_MAP_COMPONENTS: Type<any>[] = [MapComponent  , LayersDirective, LayerDirective]

 
