import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "afterServiceInvoke", "beforeServiceInvoke", "beforePivotEnginePopulate", "cellDoubleClick", "cellContext", "cellSelection", "columnHeaderHyperlinkClick", "drillSuccess", "drillThrough", "load", "renderComplete", "renderFailure", "renderSuccess", "rowHeaderHyperlinkClick", "summaryCellHyperlinkClick", "valueCellHyperlinkClick" ];
var ComplexProperties = [ "dataSource", "hyperlinkSettings", "serviceMethodSettings"  ];
var Inputs = Utils.AngularizeInputs( [ "analysisMode", "cssClass", "currentReport", "dataSource", "drilledItems", "customObject", "enableCellContext", "enableCellSelection", "enableDrillThrough", "enableCellDoubleClick", "enableCellEditing", "enableCollapseByDefault", "enableColumnGrandTotal", "enableConditionalFormatting", "enableDeferUpdate", "enableGroupingBar", "enableGrandTotal", "enableJSONRendering", "enablePivotFieldList", "enableRowGrandTotal", "enableRTL", "enableToolTip", "enableToolTipAnimation", "enableVirtualScrolling", "hyperlinkSettings", "isNamedSets", "isResponsive", "jsonRecords", "layout", "locale", "operationalMode", "serviceMethodSettings", "url", "dataSource.catalog", "dataSource.cube", "dataSource.data", "dataSource.enableAdvancedFilter", "hyperlinkSettings.enableColumnHeaderHyperlink", "hyperlinkSettings.enableRowHeaderHyperlink", "hyperlinkSettings.enableSummaryCellHyperlink", "hyperlinkSettings.enableValueCellHyperlink", "serviceMethodSettings.drillDown", "serviceMethodSettings.exportPivotGrid", "serviceMethodSettings.deferUpdate", "serviceMethodSettings.fetchMembers", "serviceMethodSettings.filtering", "serviceMethodSettings.initialize", "serviceMethodSettings.nodeDropped", "serviceMethodSettings.nodeStateModified", "serviceMethodSettings.paging", "serviceMethodSettings.sorting", "serviceMethodSettings.memberExpand", "serviceMethodSettings.writeBack", "dataSource.columns", "dataSource.rows", "dataSource.values", "dataSource.filters"  ],[  ]);
export var PivotGridComponent = CreateComponent("PivotGrid", {
    selector: 'ej-pivotgrid',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_PIVOTGRID_COMPONENTS: Type<any>[] = [PivotGridComponent  ]

 
