import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';
export var ItemDirective = CreateComplexDirective({
    selector: "e-items>e-item",
    inputs: ["imageUrl", "text", "enabled", "click", "badge", "type", "sliderSettings", "items"],
    queries: {
    }
}, {
    tags: [ ],
     type: forwardRef(() => RadialMenuComponent)
});


export var ItemsDirective = CreateArrayTagDirective("items", 'ej-radialmenu>e-items', ItemDirective);


var Outputs = [ "click", "open", "close" ];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "autoOpen", "backImageClass", "cssClass", "enableAnimation", "imageClass", "radius", "targetElementId", "position", "items"  ],[  ]);
export var RadialMenuComponent = CreateComponent("RadialMenu", {
    selector: 'ej-radialmenu',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
        _items : new ContentChild(ItemsDirective),
    }
},{
   tags : ["items"], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_RADIALMENU_COMPONENTS: Type<any>[] = [RadialMenuComponent  , ItemsDirective, ItemDirective]

 
