System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var PageDirective, ApplicationTabBackstageSettingsPagesDirective, ContentGroupDirective, ContentGroupsDirective, ContentDirective, ContentsDirective, GroupDirective, GroupsDirective, TabDirective, TabsDirective, Outputs, ComplexProperties, Inputs, RibbonComponent, EJ_RIBBON_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("PageDirective", PageDirective = core_1.CreateComplexDirective({
                selector: "e-applicationtab-backstagesettings-pages>e-page",
                inputs: ["id", "text", "itemType", "contentID", "enableSeparator"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return RibbonComponent; })
            }));
            exports_1("ApplicationTabBackstageSettingsPagesDirective", ApplicationTabBackstageSettingsPagesDirective = core_1.CreateArrayTagDirective("applicationTab.backstageSettings.pages", 'ej-ribbon>e-applicationtab-backstagesettings-pages', PageDirective));
            exports_1("ContentGroupDirective", ContentGroupDirective = core_1.CreateComplexDirective({
                selector: "e-contentgroups>e-contentgroup",
                inputs: ["buttonSettings", "columns", "contentID", "cssClass", "customGalleryItems", "customToolTip", "dropdownSettings", "enableSeparator", "expandedColumns", "galleryItems", "id", "isBig", "itemHeight", "itemWidth", "splitButtonSettings", "text", "toggleButtonSettings", "toolTip", "quickAccessMode", "type"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return RibbonComponent; })
            }));
            exports_1("ContentGroupsDirective", ContentGroupsDirective = core_1.CreateArrayTagDirective("groups", 'e-content>e-contentgroups', ContentGroupDirective));
            exports_1("ContentDirective", ContentDirective = core_1.CreateComplexDirective({
                selector: "e-contents>e-content",
                inputs: ["defaults", "groups"],
                queries: {
                    _groups: new core_1.ContentChild(ContentGroupsDirective),
                }
            }, {
                tags: ["groups"],
                type: core_1.forwardRef(function () { return RibbonComponent; })
            }));
            exports_1("ContentsDirective", ContentsDirective = core_1.CreateArrayTagDirective("content", 'e-groups>e-contents', ContentDirective));
            exports_1("GroupDirective", GroupDirective = core_1.CreateComplexDirective({
                selector: "e-groups>e-group",
                inputs: ["alignType", "content", "contentID", "customContent", "enableGroupExpander", "groupExpanderSettings", "text", "type"],
                queries: {
                    _content: new core_1.ContentChild(ContentsDirective),
                }
            }, {
                tags: ["content"],
                type: core_1.forwardRef(function () { return RibbonComponent; })
            }));
            exports_1("GroupsDirective", GroupsDirective = core_1.CreateArrayTagDirective("groups", 'e-tabs>e-groups', GroupDirective));
            exports_1("TabDirective", TabDirective = core_1.CreateComplexDirective({
                selector: "e-tabs>e-tab",
                inputs: ["groups", "id", "text"],
                queries: {
                    _groups: new core_1.ContentChild(GroupsDirective),
                }
            }, {
                tags: ["groups"],
                type: core_1.forwardRef(function () { return RibbonComponent; })
            }));
            exports_1("TabsDirective", TabsDirective = core_1.CreateArrayTagDirective("tabs", 'ej-ribbon>e-tabs', TabDirective));
            Outputs = ["beforeTabRemove", "create", "destroy", "groupClick", "groupExpand", "galleryItemClick", "backstageItemClick", "collapse", "expand", "load", "tabAdd", "tabClick", "tabCreate", "tabRemove", "tabSelect", "toggleButtonClick", "qatMenuItemClick"];
            ComplexProperties = ["collapsePinSettings", "expandPinSettings", "applicationTab", "applicationTab.backstageSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["allowResizing", "isResponsive", "isMobileOnly", "buttonDefaults", "showQAT", "collapsePinSettings", "enableRTL", "expandPinSettings", "applicationTab", "disabledItemIndex", "enabledItemIndex", "selectedItemIndex", "locale", "width", "collapsePinSettings.toolTip", "collapsePinSettings.customToolTip", "expandPinSettings.toolTip", "expandPinSettings.customToolTip", "applicationTab.backstageSettings", "applicationTab.backstageSettings.text", "applicationTab.backstageSettings.height", "applicationTab.backstageSettings.width", "applicationTab.backstageSettings.headerWidth", "applicationTab.menuItemID", "applicationTab.menuSettings", "applicationTab.type", "contextualTabs", "tabs", "applicationTab.backstageSettings.pages", "tabs.groups.content", "tabs.groups.content.groups.customGalleryItems", "tabs.groups.content.groups.galleryItems"], []);
            exports_1("RibbonComponent", RibbonComponent = core_1.CreateComponent("Ribbon", {
                selector: 'ej-ribbon',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _applicationTab_backstageSettings_pages: new core_1.ContentChild(ApplicationTabBackstageSettingsPagesDirective),
                    _tabs: new core_1.ContentChild(TabsDirective),
                }
            }, {
                tags: ["applicationTab.backstageSettings.pages", "tabs"],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_RIBBON_COMPONENTS", EJ_RIBBON_COMPONENTS = [RibbonComponent, ApplicationTabBackstageSettingsPagesDirective, ContentGroupsDirective, ContentsDirective, GroupsDirective, TabsDirective, PageDirective, ContentGroupDirective, ContentDirective, GroupDirective, TabDirective]);
        }
    }
});
//# sourceMappingURL=ribbon.component.js.map