System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var RangeSettingDirective, RangeSettingsDirective, SheetDirective, SheetsDirective, Outputs, ComplexProperties, Inputs, SpreadsheetComponent, EJ_SPREADSHEET_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("RangeSettingDirective", RangeSettingDirective = core_1.CreateComplexDirective({
                selector: "e-rangesettings>e-rangesetting",
                inputs: ["dataSource", "headerStyles", "primaryKey", "query", "showHeader", "startCell"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return SpreadsheetComponent; })
            }));
            exports_1("RangeSettingsDirective", RangeSettingsDirective = core_1.CreateArrayTagDirective("rangeSettings", 'e-sheets>e-rangesettings', RangeSettingDirective));
            exports_1("SheetDirective", SheetDirective = core_1.CreateComplexDirective({
                selector: "e-sheets>e-sheet",
                inputs: ["border", "cFormatRule", "colCount", "columnWidth", "dataSource", "fieldAsColumnHeader", "headerStyles", "hideColumns", "hideRows", "mergeCells", "primaryKey", "query", "rangeSettings", "rowCount", "rows", "showGridlines", "showHeader", "showHeadings", "startCell"],
                queries: {
                    _rangeSettings: new core_1.ContentChild(RangeSettingsDirective),
                }
            }, {
                tags: ["rangeSettings"],
                type: core_1.forwardRef(function () { return SpreadsheetComponent; })
            }));
            exports_1("SheetsDirective", SheetsDirective = core_1.CreateArrayTagDirective("sheets", 'ej-spreadsheet>e-sheets', SheetDirective));
            Outputs = ["actionBegin", "actionComplete", "autoFillBegin", "autoFillComplete", "beforeBatchSave", "beforeCellFormat", "beforeCellSelect", "beforeDrop", "beforeOpen", "beforePanelOpen", "cellClick", "cellEdit", "cellFormatting", "cellHover", "cellSave", "cellSelected", "contextMenuClick", "drag", "dragStart", "drop", "editRangeBegin", "editRangeComplete", "load", "loadComplete", "menuClick", "onImport", "openFailure", "pagerClick", "ribbonClick", "seriesRendering", "tabClick", "tabSelect"];
            ComplexProperties = ["autoFillSettings", "chartSettings", "exportSettings", "formatSettings", "importSettings", "pictureSettings", "printSettings", "ribbonSettings", "scrollSettings", "selectionSettings", "ribbonSettings.applicationTab", "ribbonSettings.applicationTab.menuSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["activeSheetIndex", "allowAutoCellType", "allowAutoFill", "allowAutoSum", "allowCellFormatting", "allowCellType", "allowCharts", "allowClipboard", "allowComments", "allowConditionalFormats", "allowDataValidation", "allowDelete", "allowDragAndDrop", "allowEditing", "allowFiltering", "allowFormatAsTable", "allowFormatPainter", "allowFormulaBar", "allowFreezing", "allowHyperlink", "allowImport", "allowInsert", "allowKeyboardNavigation", "allowLockCell", "allowMerging", "allowResizing", "allowSearching", "allowSelection", "allowSorting", "allowUndoRedo", "allowWrap", "apWidth", "autoFillSettings", "chartSettings", "columnCount", "columnWidth", "cssClass", "customFormulas", "enableContextMenu", "enablePivotTable", "enableTouch", "exportSettings", "formatSettings", "importSettings", "locale", "pictureSettings", "printSettings", "ribbonSettings", "rowCount", "rowHeight", "scrollSettings", "selectionSettings", "sheetCount", "showPager", "showRibbon", "undoRedoStep", "userName", "autoFillSettings.fillType", "autoFillSettings.showFillOptions", "chartSettings.height", "chartSettings.width", "exportSettings.allowExporting", "exportSettings.csvUrl", "exportSettings.excelUrl", "exportSettings.password", "exportSettings.pdfUrl", "formatSettings.allowCellBorder", "formatSettings.allowDecimalPlaces", "formatSettings.allowFontFamily", "importSettings.importMapper", "importSettings.importOnLoad", "importSettings.importUrl", "importSettings.password", "pictureSettings.allowPictures", "pictureSettings.height", "pictureSettings.width", "printSettings.allowPageSetup", "printSettings.allowPageSize", "printSettings.allowPrinting", "ribbonSettings.applicationTab", "ribbonSettings.applicationTab.type", "ribbonSettings.applicationTab.menuSettings", "scrollSettings.allowScrolling", "scrollSettings.allowSheetOnDemand", "scrollSettings.allowVirtualScrolling", "scrollSettings.height", "scrollSettings.isResponsive", "scrollSettings.scrollMode", "scrollSettings.width", "selectionSettings.activeCell", "selectionSettings.animationTime", "selectionSettings.enableAnimation", "selectionSettings.selectionType", "selectionSettings.selectionUnit", "sheets", "sheets.rows.cells"], []);
            exports_1("SpreadsheetComponent", SpreadsheetComponent = core_1.CreateComponent("Spreadsheet", {
                selector: 'ej-spreadsheet',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _sheets: new core_1.ContentChild(SheetsDirective),
                }
            }, {
                tags: ["sheets"],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_SPREADSHEET_COMPONENTS", EJ_SPREADSHEET_COMPONENTS = [SpreadsheetComponent, RangeSettingsDirective, SheetsDirective, RangeSettingDirective, SheetDirective]);
        }
    }
});
//# sourceMappingURL=spreadsheet.component.js.map