import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "mouseDown", "mouseUp" , "model.badge.valueChange: badge.valueChange", "model.badge.enabledChange: badge.enabledChange", "model.badge.textChange: badge.textChange", "model.badge.positionChange: badge.positionChange", "model.caption.textChange: caption.textChange"];
var ComplexProperties = [ "badge", "caption", "liveTile"  ];
var Inputs = Utils.AngularizeInputs( [ "badge", "caption", "cssClass", "enablePersistence", "height", "imageClass", "imagePosition", "imageTemplateId", "imageUrl", "liveTile", "tileSize", "width", "showRoundedCorner", "allowSelection", "backgroundColor", "badge.maxValue", "badge.minValue", "caption.enabled", "caption.alignment", "caption.position", "caption.icon", "liveTile.enabled", "liveTile.imageClass", "liveTile.imageTemplateId", "liveTile.imageUrl", "liveTile.type", "liveTile.updateInterval", "liveTile.text"  ],["badge.value", "badge.enabled", "badge.text", "badge.position", "caption.text"  ]);
export var TileComponent = CreateComponent("Tile", {
    selector: 'ej-tile',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : ["badge.value", "badge.enabled", "badge.text", "badge.position", "caption.text"  ],  
   complexes : ComplexProperties,
});

export const EJ_TILE_COMPONENTS: Type<any>[] = [TileComponent  ]

 
