import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "beforeClose", "beforeOpen", "click", "close", "create", "destroy", "hover", "open", "tracking" ];
var ComplexProperties = [ "animation", "position", "position.target", "position.stem"  ];
var Inputs = Utils.AngularizeInputs( [ "allowKeyboardNavigation", "animation", "associate", "autoCloseTimeout", "closeMode", "collision", "containment", "content", "cssClass", "enabled", "enableRTL", "height", "isBalloon", "position", "showRoundedCorner", "showShadow", "target", "title", "trigger", "width", "animation.effect", "animation.speed", "position.target", "position.target.horizontal", "position.target.vertical", "position.stem", "position.stem.horizontal", "position.stem.vertical"  ],[  ]);
export var TooltipComponent = CreateComponent("Tooltip", {
    selector: 'ej-tooltip',
    inputs : Inputs,
    outputs : Outputs,
    template:"<ng-content></ng-content>",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_TOOLTIP_COMPONENTS: Type<any>[] = [TooltipComponent  ]

 
