System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var ColumnDirective, ColumnsDirective, Outputs, ComplexProperties, Inputs, TreeGridComponent, EJ_TREEGRID_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("ColumnDirective", ColumnDirective = core_1.CreateComplexDirective({
                selector: "e-treegrid-columns>e-treegrid-column",
                inputs: ["allowFiltering", "allowSorting", "allowCellSelection", "editType", "field", "filterEditType", "headerText", "visible", "headerTemplateID", "format", "isTemplateColumn", "headerTextAlign", "isFrozen", "textAlign", "templateID", "allowEditing", "allowFreezing"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return TreeGridComponent; })
            }));
            exports_1("ColumnsDirective", ColumnsDirective = core_1.CreateArrayTagDirective("columns", 'ej-treegrid>e-treegrid-columns', ColumnDirective));
            Outputs = ["actionBegin", "actionComplete", "beginEdit", "collapsed", "collapsing", "columnResized", "columnResizeStart", "columnResizeEnd", "contextMenuOpen", "create", "endEdit", "expanded", "expanding", "load", "queryCellInfo", "rowDataBound", "rowDrag", "rowDragStart", "rowDragStop", "cellSelecting", "cellSelected", "rowSelected", "rowSelecting", "toolbarClick", "model.dataSourceChange: dataSourceChange", "model.selectedRowIndexChange: selectedRowIndexChange"];
            ComplexProperties = ["contextMenuSettings", "dragTooltip", "editSettings", "filterSettings", "pageSettings", "sizeSettings", "sortSettings", "toolbarSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["allowColumnResize", "allowDragAndDrop", "allowFiltering", "allowKeyboardNavigation", "allowMultiSorting", "allowSelection", "allowSorting", "allowPaging", "altRowTemplateID", "childMapping", "columnDialogFields", "contextMenuSettings", "cssClass", "headerTextOverflow", "dragTooltip", "editSettings", "enableAltRow", "enableCollapseAll", "enableResize", "enableVirtualization", "filterSettings", "locale", "idMapping", "isResponsive", "parentIdMapping", "pageSettings", "cellTooltipTemplate", "query", "rowHeight", "rowTemplateID", "selectionMode", "selectionType", "showColumnOptions", "showColumnChooser", "showDetailsRow", "showDetailsRowInfoColumn", "detailsTemplate", "detailsRowHeight", "showSummaryRow", "showTotalSummary", "summaryRows", "showGridCellTooltip", "showGridExpandCellTooltip", "sizeSettings", "sortSettings", "toolbarSettings", "treeColumnIndex", "contextMenuSettings.contextMenuItems", "contextMenuSettings.showContextMenu", "dragTooltip.showTooltip", "dragTooltip.tooltipItems", "dragTooltip.tooltipTemplate", "editSettings.allowAdding", "editSettings.allowDeleting", "editSettings.allowEditing", "editSettings.beginEditAction", "editSettings.editMode", "editSettings.rowPosition", "filterSettings.filterBarMode", "filterSettings.filteredColumns", "pageSettings.pageCount", "pageSettings.pageSize", "pageSettings.totalRecordsCount", "pageSettings.currentPage", "pageSettings.pageSizeMode", "pageSettings.template", "sizeSettings.height", "sizeSettings.width", "sortSettings.sortedColumns", "toolbarSettings.showToolbar", "toolbarSettings.toolbarItems", "columns"], ["dataSource", "selectedRowIndex"]);
            exports_1("TreeGridComponent", TreeGridComponent = core_1.CreateComponent("TreeGrid", {
                selector: 'ej-treegrid',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _columns: new core_1.ContentChild(ColumnsDirective),
                }
            }, {
                tags: ["columns"],
                twoways: ["dataSource", "selectedRowIndex"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_TREEGRID_COMPONENTS", EJ_TREEGRID_COMPONENTS = [TreeGridComponent, ColumnsDirective, ColumnDirective]);
        }
    }
});
//# sourceMappingURL=treegrid.component.js.map