import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';
export var ColumnDirective = CreateComplexDirective({
    selector: "e-treegrid-columns>e-treegrid-column",
    inputs: ["allowFiltering", "allowSorting", "allowCellSelection", "editType", "field", "filterEditType", "headerText", "visible", "headerTemplateID", "format", "isTemplateColumn", "headerTextAlign", "isFrozen", "textAlign", "templateID", "allowEditing", "allowFreezing"],
    queries: {
    }
}, {
    tags: [ ],
     type: forwardRef(() => TreeGridComponent)
});


export var ColumnsDirective = CreateArrayTagDirective("columns", 'ej-treegrid>e-treegrid-columns', ColumnDirective);


var Outputs = [ "actionBegin", "actionComplete", "beginEdit", "collapsed", "collapsing", "columnResized", "columnResizeStart", "columnResizeEnd", "contextMenuOpen", "create", "endEdit", "expanded", "expanding", "load", "queryCellInfo", "rowDataBound", "rowDrag", "rowDragStart", "rowDragStop", "cellSelecting", "cellSelected", "rowSelected", "rowSelecting", "toolbarClick" , "model.dataSourceChange: dataSourceChange", "model.selectedRowIndexChange: selectedRowIndexChange"];
var ComplexProperties = [ "contextMenuSettings", "dragTooltip", "editSettings", "filterSettings", "pageSettings", "sizeSettings", "sortSettings", "toolbarSettings"  ];
var Inputs = Utils.AngularizeInputs( [ "allowColumnResize", "allowDragAndDrop", "allowFiltering", "allowKeyboardNavigation", "allowMultiSorting", "allowSelection", "allowSorting", "allowPaging", "altRowTemplateID", "childMapping", "columnDialogFields", "contextMenuSettings", "cssClass", "headerTextOverflow", "dragTooltip", "editSettings", "enableAltRow", "enableCollapseAll", "enableResize", "enableVirtualization", "filterSettings", "locale", "idMapping", "isResponsive", "parentIdMapping", "pageSettings", "cellTooltipTemplate", "query", "rowHeight", "rowTemplateID", "selectionMode", "selectionType", "showColumnOptions", "showColumnChooser", "showDetailsRow", "showDetailsRowInfoColumn", "detailsTemplate", "detailsRowHeight", "showSummaryRow", "showTotalSummary", "summaryRows", "showGridCellTooltip", "showGridExpandCellTooltip", "sizeSettings", "sortSettings", "toolbarSettings", "treeColumnIndex", "contextMenuSettings.contextMenuItems", "contextMenuSettings.showContextMenu", "dragTooltip.showTooltip", "dragTooltip.tooltipItems", "dragTooltip.tooltipTemplate", "editSettings.allowAdding", "editSettings.allowDeleting", "editSettings.allowEditing", "editSettings.beginEditAction", "editSettings.editMode", "editSettings.rowPosition", "filterSettings.filterBarMode", "filterSettings.filteredColumns", "pageSettings.pageCount", "pageSettings.pageSize", "pageSettings.totalRecordsCount", "pageSettings.currentPage", "pageSettings.pageSizeMode", "pageSettings.template", "sizeSettings.height", "sizeSettings.width", "sortSettings.sortedColumns", "toolbarSettings.showToolbar", "toolbarSettings.toolbarItems", "columns"  ],["dataSource", "selectedRowIndex"  ]);
export var TreeGridComponent = CreateComponent("TreeGrid", {
    selector: 'ej-treegrid',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
        _columns : new ContentChild(ColumnsDirective),
    }
},{
   tags : ["columns"], 
   twoways : ["dataSource", "selectedRowIndex"  ],  
   complexes : ComplexProperties,
});

export const EJ_TREEGRID_COMPONENTS: Type<any>[] = [TreeGridComponent  , ColumnsDirective, ColumnDirective]

 
