System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var LevelDirective, LevelsDirective, RangeColorDirective, RangeColorMappingDirective, Outputs, ComplexProperties, Inputs, TreeMapComponent, EJ_TREEMAP_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("LevelDirective", LevelDirective = core_1.CreateComplexDirective({
                selector: "e-levels>e-level",
                inputs: ["groupBackground", "groupBorderColor", "groupBorderThickness", "groupGap", "groupPadding", "groupPath", "headerHeight", "headerTemplate", "headerVisibilityMode", "labelPosition", "labelTemplate", "labelVisibilityMode", "showHeader", "showLabels"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return TreeMapComponent; })
            }));
            exports_1("LevelsDirective", LevelsDirective = core_1.CreateArrayTagDirective("levels", 'ej-treemap>e-levels', LevelDirective));
            exports_1("RangeColorDirective", RangeColorDirective = core_1.CreateComplexDirective({
                selector: "e-rangecolormapping>e-rangecolor",
                inputs: ["color", "gradientColors", "from", "legendLabel", "to"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return TreeMapComponent; })
            }));
            exports_1("RangeColorMappingDirective", RangeColorMappingDirective = core_1.CreateArrayTagDirective("rangeColorMapping", 'ej-treemap>e-rangecolormapping', RangeColorDirective));
            Outputs = ["treeMapItemSelected", "model.dataSourceChange: dataSourceChange", "model.weightValuePathChange: weightValuePathChange"];
            ComplexProperties = ["uniColorMapping", "desaturationColorMapping", "paletteColorMapping", "legendSettings", "leafItemSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["borderBrush", "borderThickness", "uniColorMapping", "desaturationColorMapping", "paletteColorMapping", "colorValuePath", "dockPosition", "drillDownHeaderColor", "drillDownSelectionColor", "enableDrillDown", "isResponsive", "enableResize", "draggingOnSelection", "draggingGroupOnSelection", "legendSettings", "highlightBorderBrush", "highlightBorderThickness", "highlightGroupBorderBrush", "highlightGroupBorderThickness", "highlightGroupOnSelection", "highlightOnSelection", "itemsLayoutMode", "leafItemSettings", "selectionMode", "groupSelectionMode", "showLegend", "enableGradient", "showTooltip", "tooltipTemplate", "treeMapItems", "uniColorMapping.color", "desaturationColorMapping.to", "desaturationColorMapping.color", "desaturationColorMapping.from", "desaturationColorMapping.rangeMaximum", "desaturationColorMapping.rangeMinimum", "paletteColorMapping.colors", "legendSettings.height", "legendSettings.width", "legendSettings.iconHeight", "legendSettings.iconWidth", "legendSettings.template", "legendSettings.mode", "legendSettings.title", "legendSettings.leftLabel", "legendSettings.rightLabel", "legendSettings.dockPosition", "legendSettings.alignment", "legendSettings.columnCount", "leafItemSettings.borderBrush", "leafItemSettings.borderThickness", "leafItemSettings.itemTemplate", "leafItemSettings.labelPath", "leafItemSettings.labelPosition", "leafItemSettings.labelVisibilityMode", "leafItemSettings.showLabels", "groupColorMapping", "rangeColorMapping", "levels"], ["dataSource", "weightValuePath"]);
            exports_1("TreeMapComponent", TreeMapComponent = core_1.CreateComponent("TreeMap", {
                selector: 'ej-treemap',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _levels: new core_1.ContentChild(LevelsDirective),
                    _rangeColorMapping: new core_1.ContentChild(RangeColorMappingDirective),
                }
            }, {
                tags: ["levels", "rangeColorMapping"],
                twoways: ["dataSource", "weightValuePath"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_TREEMAP_COMPONENTS", EJ_TREEMAP_COMPONENTS = [TreeMapComponent, LevelsDirective, RangeColorMappingDirective, LevelDirective, RangeColorDirective]);
        }
    }
});
//# sourceMappingURL=treemap.component.js.map