import { Component } from '@angular/core';
import {Router, NavigationEnd,ActivatedRoute} from '@angular/router';
import {Observable} from 'rxjs/Rx';
import { Http } from '@angular/http';
import { AppComponent } from './app.component';

@Component({
  selector: 'source-tab',
  templateUrl: "app/sourcetab.component.html"
})
export class SourceTabComponent {
 
  url :any;
  htmlSourceResult: any;
  tsSourceResult: any;

  private CodeMirror: any = window["CodeMirror"];
  private _tsCM: any;
  private _htCM: any;
  private cmOptions: Object = {
    readOnly: true,
    mode: "xml",
    htmlMode: true
  }; 

  constructor(private _router: Router, private http: Http,private activeroute:ActivatedRoute,private appcomp: AppComponent) {
    
    this.url = "/component1";
    this._router.events.subscribe((events) => {
      if (events instanceof NavigationEnd) {

        this.url = this.activeroute.snapshot.root.children[0]["data"]["location"];
        appcomp.routeName = this.activeroute.snapshot.root.children[0]["data"]["name"];
        
        Observable.forkJoin(this.http.get(this.url + ".html"), this.http.get(this.url + ".ts"))
          .subscribe(e => {
            this.htmlSourceResult = e[0].text();
            this.tsSourceResult = e[1].text();
            setTimeout(() => {
              if (this._htCM == null || this._tsCM == null) {
                this._tsCM = this.CodeMirror.fromTextArea(document.getElementById("tssourcecache"), { mode: "text/typescript", readOnly: true });
                this._htCM = this.CodeMirror.fromTextArea(document.getElementById("htmlsourcecache"), this.cmOptions);
              }
              this._tsCM.getDoc().setValue(this.tsSourceResult);
              this._htCM.getDoc().setValue(this.htmlSourceResult);
            });
          });
      }
    });
  }
  onTabItemChange(e) {
        if (e["activeIndex"] != e["prevActiveIndex"]) {
            this._tsCM.getDoc().setValue(this.tsSourceResult);
            this._htCM.getDoc().setValue(this.htmlSourceResult);
        }
    }
}